# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.isoc.org.il/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.isoc.org.il.rb'

describe Whois::Record::Parser::WhoisIsocOrgIl, "status_registered.expected" do

  before(:each) do
    file = fixture("responses", "whois.isoc.org.il/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    @parser = klass.new(part)
  end

  describe "#status" do
    it do
      @parser.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      @parser.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      @parser.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      lambda { @parser.created_on }.should raise_error(Whois::PropertyNotSupported)
    end
  end
  describe "#updated_on" do
    it do
      @parser.updated_on.should be_a(Time)
      @parser.updated_on.should == Time.parse("2010-10-07")
    end
  end
  describe "#expires_on" do
    it do
      lambda { @parser.expires_on }.should raise_error(Whois::PropertyNotSupported)
    end
  end
  describe "#nameservers" do
    it do
      @parser.nameservers.should be_a(Array)
      @parser.nameservers.should have(6).items
      @parser.nameservers[0].should be_a(_nameserver)
      @parser.nameservers[0].name.should == "ns.isoc.org.il"
      @parser.nameservers[1].should be_a(_nameserver)
      @parser.nameservers[1].name.should == "grappa.isoc.org.il"
      @parser.nameservers[2].should be_a(_nameserver)
      @parser.nameservers[2].name.should == "aristo.tau.ac.il"
      @parser.nameservers[3].should be_a(_nameserver)
      @parser.nameservers[3].name.should == "relay.huji.ac.il"
      @parser.nameservers[4].should be_a(_nameserver)
      @parser.nameservers[4].name.should == "drns.isoc.org.il"
      @parser.nameservers[5].should be_a(_nameserver)
      @parser.nameservers[5].name.should == "sps-pb.isc.org"
    end
  end
end
