# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.ja.net/gov.uk/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.ja.net.rb'

describe Whois::Record::Parser::WhoisJaNet, "status_registered.expected" do

  before(:each) do
    file = fixture("responses", "whois.ja.net/gov.uk/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    @parser = klass.new(part)
  end

  describe "#status" do
    it do
      @parser.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      @parser.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      @parser.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      @parser.created_on.should be_a(Time)
      @parser.created_on.should == Time.parse("2003-09-17")
    end
  end
  describe "#updated_on" do
    it do
      @parser.updated_on.should be_a(Time)
      @parser.updated_on.should == Time.parse("2010-01-13")
    end
  end
  describe "#expires_on" do
    it do
      @parser.expires_on.should be_a(Time)
      @parser.expires_on.should == Time.parse("2011-03-30")
    end
  end
  describe "#nameservers" do
    it do
      @parser.nameservers.should be_a(Array)
      @parser.nameservers.should have(8).items
      @parser.nameservers[0].should be_a(_nameserver)
      @parser.nameservers[0].name.should == "eur5.akam.net"
      @parser.nameservers[1].should be_a(_nameserver)
      @parser.nameservers[1].name.should == "eur6.akam.net"
      @parser.nameservers[2].should be_a(_nameserver)
      @parser.nameservers[2].name.should == "ns1-173.akam.net"
      @parser.nameservers[3].should be_a(_nameserver)
      @parser.nameservers[3].name.should == "ns1-31.akam.net"
      @parser.nameservers[4].should be_a(_nameserver)
      @parser.nameservers[4].name.should == "usc4.akam.net"
      @parser.nameservers[5].should be_a(_nameserver)
      @parser.nameservers[5].name.should == "use10.akam.net"
      @parser.nameservers[6].should be_a(_nameserver)
      @parser.nameservers[6].name.should == "usw2.akam.net"
      @parser.nameservers[7].should be_a(_nameserver)
      @parser.nameservers[7].name.should == "usw4.akam.net"
    end
  end
end
