# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.nic.fr.rb'

describe Whois::Record::Parser::WhoisNicFr, "property_nameservers_with_ipv4_and_some_ipv6.expected" do

  before(:each) do
    file = fixture("responses", "whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    @parser = klass.new(part)
  end

  describe "#nameservers" do
    it do
      @parser.nameservers.should be_a(Array)
      @parser.nameservers.should have(6).items
      @parser.nameservers[0].should be_a(_nameserver)
      @parser.nameservers[0].name.should == "ns1.nic.fr"
      @parser.nameservers[0].ipv4.should == "192.134.4.1"
      @parser.nameservers[0].ipv6.should == "2001:660:3003:2::4:1"
      @parser.nameservers[1].should be_a(_nameserver)
      @parser.nameservers[1].name.should == "ns2.nic.fr"
      @parser.nameservers[1].ipv4.should == "192.93.0.4"
      @parser.nameservers[1].ipv6.should == "2001:660:3005:1::1:2"
      @parser.nameservers[2].should be_a(_nameserver)
      @parser.nameservers[2].name.should == "ns3.nic.fr"
      @parser.nameservers[2].ipv4.should == "192.134.0.49"
      @parser.nameservers[2].ipv6.should == "2001:660:3006:1::1:1"
      @parser.nameservers[3].should be_a(_nameserver)
      @parser.nameservers[3].name.should == "ns1.ext.nic.fr"
      @parser.nameservers[3].ipv4.should == "193.51.208.13"
      @parser.nameservers[3].ipv6.should == nil
      @parser.nameservers[4].should be_a(_nameserver)
      @parser.nameservers[4].name.should == "ns4.ext.nic.fr"
      @parser.nameservers[4].ipv4.should == "193.0.9.4"
      @parser.nameservers[4].ipv6.should == "2001:67c:e0::4"
      @parser.nameservers[5].should be_a(_nameserver)
      @parser.nameservers[5].name.should == "ns5.ext.nic.fr"
      @parser.nameservers[5].ipv4.should == "206.167.244.5"
      @parser.nameservers[5].ipv6.should == nil
    end
  end
end
