# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.ripe.net/va/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.ripe.net.rb'

describe Whois::Record::Parser::WhoisRipeNet, "status_registered.expected" do

  before(:each) do
    file = fixture("responses", "whois.ripe.net/va/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    @parser = klass.new(part)
  end

  describe "#status" do
    it do
      @parser.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      @parser.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      @parser.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      lambda { @parser.created_on }.should raise_error(Whois::PropertyNotSupported)
    end
  end
  describe "#updated_on" do
    it do
      lambda { @parser.updated_on }.should raise_error(Whois::PropertyNotSupported)
    end
  end
  describe "#expires_on" do
    it do
      lambda { @parser.expires_on }.should raise_error(Whois::PropertyNotSupported)
    end
  end
  describe "#nameservers" do
    it do
      @parser.nameservers.should be_a(Array)
      @parser.nameservers.should have(5).items
      @parser.nameservers[0].should be_a(_nameserver)
      @parser.nameservers[0].name.should == "john.vatican.va"
      @parser.nameservers[1].should be_a(_nameserver)
      @parser.nameservers[1].name.should == "ns2.nic.it"
      @parser.nameservers[2].should be_a(_nameserver)
      @parser.nameservers[2].name.should == "seth.namex.it"
      @parser.nameservers[3].should be_a(_nameserver)
      @parser.nameservers[3].name.should == "osiris.namex.it"
      @parser.nameservers[4].should be_a(_nameserver)
      @parser.nameservers[4].name.should == "michael.vatican.va"
    end
  end
end
