# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "whois"
  s.version = "2.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Simone Carletti"]
  s.date = "2011-12-12"
  s.description = "Whois is an intelligent WHOIS client and parser written in pure Ruby. It can query registry data for IPv4, IPv6 and top level domains, parse and convert responses into easy-to-use Ruby objects."
  s.email = ["weppos@weppos.net"]
  s.executables = ["ruby-whois"]
  s.files = ["Rakefile", "LICENSE", ".gemtest", ".rspec", ".yardopts", "whois.gemspec", "bin/ruby-whois", "lib/core_ext", "lib/core_ext/array", "lib/core_ext/array/extract_options.rb", "lib/core_ext/array/wrap.rb", "lib/core_ext/class", "lib/core_ext/class/attribute.rb", "lib/core_ext/date_time", "lib/core_ext/date_time/conversions.rb", "lib/core_ext/kernel", "lib/core_ext/kernel/singleton_class.rb", "lib/core_ext/module", "lib/core_ext/module/remove_method.rb", "lib/core_ext.rb", "lib/whois", "lib/whois/client.rb", "lib/whois/definitions", "lib/whois/definitions/ipv4.rb", "lib/whois/definitions/ipv6.rb", "lib/whois/definitions/NOTES.txt", "lib/whois/definitions/tlds.rb", "lib/whois/errors.rb", "lib/whois/record", "lib/whois/record/contact.rb", "lib/whois/record/nameserver.rb", "lib/whois/record/parser", "lib/whois/record/parser/base.rb", "lib/whois/record/parser/base_afilias.rb", "lib/whois/record/parser/base_cocca.rb", "lib/whois/record/parser/blank.rb", "lib/whois/record/parser/example.rb", "lib/whois/record/parser/jobswhois.verisign-grs.com.rb", "lib/whois/record/parser/kero.yachay.pe.rb", "lib/whois/record/parser/NOTES.txt", "lib/whois/record/parser/saudinic.net.sa.rb", "lib/whois/record/parser/scanners", "lib/whois/record/parser/scanners/afilias.rb", "lib/whois/record/parser/scanners/ast.rb", "lib/whois/record/parser/scanners/base.rb", "lib/whois/record/parser/scanners/cnnic.rb", "lib/whois/record/parser/scanners/iana.rb", "lib/whois/record/parser/scanners/verisign.rb", "lib/whois/record/parser/scanners/whois.biz.rb", "lib/whois/record/parser/scanners/whois.denic.de.rb", "lib/whois/record/parser/scanners/whois.nic.hu.rb", "lib/whois/record/parser/scanners/whois.nic.it.rb", "lib/whois/record/parser/scanners/whois.registry.qa.rb", "lib/whois/record/parser/scanners/whois.tld.ee.rb", "lib/whois/record/parser/whois.adamsnames.tc.rb", "lib/whois/record/parser/whois.aeda.net.ae.rb", "lib/whois/record/parser/whois.aero.rb", "lib/whois/record/parser/whois.afilias-grs.info.rb", "lib/whois/record/parser/whois.afilias.info.rb", "lib/whois/record/parser/whois.ai.rb", "lib/whois/record/parser/whois.arnes.si.rb", "lib/whois/record/parser/whois.audns.net.au.rb", "lib/whois/record/parser/whois.ausregistry.net.au.rb", "lib/whois/record/parser/whois.biz.rb", "lib/whois/record/parser/whois.cat.rb", "lib/whois/record/parser/whois.cctld.uz.rb", "lib/whois/record/parser/whois.centralnic.com.rb", "lib/whois/record/parser/whois.centralnic.net.rb", "lib/whois/record/parser/whois.cira.ca.rb", "lib/whois/record/parser/whois.cnnic.cn.rb", "lib/whois/record/parser/whois.cnnic.net.cn.rb", "lib/whois/record/parser/whois.co.ca.rb", "lib/whois/record/parser/whois.co.pl.rb", "lib/whois/record/parser/whois.co.ug.rb", "lib/whois/record/parser/whois.coza.net.za.rb", "lib/whois/record/parser/whois.crsnic.net.rb", "lib/whois/record/parser/whois.denic.de.rb", "lib/whois/record/parser/whois.dk-hostmaster.dk.rb", "lib/whois/record/parser/whois.dns.be.rb", "lib/whois/record/parser/whois.dns.lu.rb", "lib/whois/record/parser/whois.dns.pl.rb", "lib/whois/record/parser/whois.dns.pt.rb", "lib/whois/record/parser/whois.domain-registry.nl.rb", "lib/whois/record/parser/whois.domain.kg.rb", "lib/whois/record/parser/whois.domainregistry.ie.rb", "lib/whois/record/parser/whois.domainregistry.my.rb", "lib/whois/record/parser/whois.domreg.lt.rb", "lib/whois/record/parser/whois.dot.tk.rb", "lib/whois/record/parser/whois.dotmobiregistry.net.rb", "lib/whois/record/parser/whois.educause.edu.rb", "lib/whois/record/parser/whois.eenet.ee.rb", "lib/whois/record/parser/whois.eu.org.rb", "lib/whois/record/parser/whois.eu.rb", "lib/whois/record/parser/whois.ficora.fi.rb", "lib/whois/record/parser/whois.gg.rb", "lib/whois/record/parser/whois.godaddy.com.rb", "lib/whois/record/parser/whois.gov.za.rb", "lib/whois/record/parser/whois.hkdnr.net.hk.rb", "lib/whois/record/parser/whois.hkirc.hk.rb", "lib/whois/record/parser/whois.iam.net.ma.rb", "lib/whois/record/parser/whois.iana.org.rb", "lib/whois/record/parser/whois.in.ua.rb", "lib/whois/record/parser/whois.isnic.is.rb", "lib/whois/record/parser/whois.isoc.org.il.rb", "lib/whois/record/parser/whois.ja.net.rb", "lib/whois/record/parser/whois.je.rb", "lib/whois/record/parser/whois.jprs.jp.rb", "lib/whois/record/parser/whois.kenic.or.ke.rb", "lib/whois/record/parser/whois.kr.rb", "lib/whois/record/parser/whois.markmonitor.com.rb", "lib/whois/record/parser/whois.meregistry.net.rb", "lib/whois/record/parser/whois.museum.rb", "lib/whois/record/parser/whois.na-nic.com.na.rb", "lib/whois/record/parser/whois.net.ua.rb", "lib/whois/record/parser/whois.netcom.cm.rb", "lib/whois/record/parser/whois.nic-se.se.rb", "lib/whois/record/parser/whois.nic.ac.rb", "lib/whois/record/parser/whois.nic.af.rb", "lib/whois/record/parser/whois.nic.ag.rb", "lib/whois/record/parser/whois.nic.am.rb", "lib/whois/record/parser/whois.nic.as.rb", "lib/whois/record/parser/whois.nic.asia.rb", "lib/whois/record/parser/whois.nic.at.rb", "lib/whois/record/parser/whois.nic.bo.rb", "lib/whois/record/parser/whois.nic.cc.rb", "lib/whois/record/parser/whois.nic.cd.rb", "lib/whois/record/parser/whois.nic.ch.rb", "lib/whois/record/parser/whois.nic.ci.rb", "lib/whois/record/parser/whois.nic.ck.rb", "lib/whois/record/parser/whois.nic.cl.rb", "lib/whois/record/parser/whois.nic.co.rb", "lib/whois/record/parser/whois.nic.coop.rb", "lib/whois/record/parser/whois.nic.cx.rb", "lib/whois/record/parser/whois.nic.cz.rb", "lib/whois/record/parser/whois.nic.dz.rb", "lib/whois/record/parser/whois.nic.ec.rb", "lib/whois/record/parser/whois.nic.fr.rb", "lib/whois/record/parser/whois.nic.gl.rb", "lib/whois/record/parser/whois.nic.gov.rb", "lib/whois/record/parser/whois.nic.gs.rb", "lib/whois/record/parser/whois.nic.ht.rb", "lib/whois/record/parser/whois.nic.hu.rb", "lib/whois/record/parser/whois.nic.im.rb", "lib/whois/record/parser/whois.nic.io.rb", "lib/whois/record/parser/whois.nic.ir.rb", "lib/whois/record/parser/whois.nic.it.rb", "lib/whois/record/parser/whois.nic.ki.rb", "lib/whois/record/parser/whois.nic.kz.rb", "lib/whois/record/parser/whois.nic.la.rb", "lib/whois/record/parser/whois.nic.li.rb", "lib/whois/record/parser/whois.nic.lv.rb", "lib/whois/record/parser/whois.nic.ly.rb", "lib/whois/record/parser/whois.nic.md.rb", "lib/whois/record/parser/whois.nic.mg.rb", "lib/whois/record/parser/whois.nic.ms.rb", "lib/whois/record/parser/whois.nic.mu.rb", "lib/whois/record/parser/whois.nic.mx.rb", "lib/whois/record/parser/whois.nic.name.rb", "lib/whois/record/parser/whois.nic.net.nf.rb", "lib/whois/record/parser/whois.nic.net.ng.rb", "lib/whois/record/parser/whois.nic.net.sa.rb", "lib/whois/record/parser/whois.nic.net.sb.rb", "lib/whois/record/parser/whois.nic.nu.rb", "lib/whois/record/parser/whois.nic.or.kr.rb", "lib/whois/record/parser/whois.nic.org.uy.rb", "lib/whois/record/parser/whois.nic.pr.rb", "lib/whois/record/parser/whois.nic.priv.at.rb", "lib/whois/record/parser/whois.nic.sh.rb", "lib/whois/record/parser/whois.nic.sl.rb", "lib/whois/record/parser/whois.nic.sm.rb", "lib/whois/record/parser/whois.nic.sn.rb", "lib/whois/record/parser/whois.nic.so.rb", "lib/whois/record/parser/whois.nic.st.rb", "lib/whois/record/parser/whois.nic.tel.rb", "lib/whois/record/parser/whois.nic.tl.rb", "lib/whois/record/parser/whois.nic.tm.rb", "lib/whois/record/parser/whois.nic.tr.rb", "lib/whois/record/parser/whois.nic.travel.rb", "lib/whois/record/parser/whois.nic.tv.rb", "lib/whois/record/parser/whois.nic.uk.rb", "lib/whois/record/parser/whois.nic.us.rb", "lib/whois/record/parser/whois.nic.ve.rb", "lib/whois/record/parser/whois.nic.xxx.rb", "lib/whois/record/parser/whois.norid.no.rb", "lib/whois/record/parser/whois.org.za.rb", "lib/whois/record/parser/whois.pandi.or.id.rb", "lib/whois/record/parser/whois.pnina.ps.rb", "lib/whois/record/parser/whois.publicinterestregistry.net.rb", "lib/whois/record/parser/whois.register.bg.rb", "lib/whois/record/parser/whois.registro.br.rb", "lib/whois/record/parser/whois.registry.gy.rb", "lib/whois/record/parser/whois.registry.hm.rb", "lib/whois/record/parser/whois.registry.in.rb", "lib/whois/record/parser/whois.registry.qa.rb", "lib/whois/record/parser/whois.registrypro.pro.rb", "lib/whois/record/parser/whois.ripe.net.rb", "lib/whois/record/parser/whois.ripn.net.rb", "lib/whois/record/parser/whois.rotld.ro.rb", "lib/whois/record/parser/whois.samoanic.ws.rb", "lib/whois/record/parser/whois.sgnic.sg.rb", "lib/whois/record/parser/whois.sk-nic.sk.rb", "lib/whois/record/parser/whois.srs.net.nz.rb", "lib/whois/record/parser/whois.tcinet.ru.rb", "lib/whois/record/parser/whois.thnic.co.th.rb", "lib/whois/record/parser/whois.tld.ee.rb", "lib/whois/record/parser/whois.tonic.to.rb", "lib/whois/record/parser/whois.twnic.net.tw.rb", "lib/whois/record/parser/whois.tznic.or.tz.rb", "lib/whois/record/parser/whois.usp.ac.fj.rb", "lib/whois/record/parser/whois.za.net.rb", "lib/whois/record/parser/whois.za.org.rb", "lib/whois/record/parser.rb", "lib/whois/record/part.rb", "lib/whois/record/registrar.rb", "lib/whois/record/super_struct.rb", "lib/whois/record.rb", "lib/whois/server", "lib/whois/server/adapters", "lib/whois/server/adapters/afilias.rb", "lib/whois/server/adapters/arpa.rb", "lib/whois/server/adapters/base.rb", "lib/whois/server/adapters/formatted.rb", "lib/whois/server/adapters/none.rb", "lib/whois/server/adapters/not_implemented.rb", "lib/whois/server/adapters/pir.rb", "lib/whois/server/adapters/standard.rb", "lib/whois/server/adapters/verisign.rb", "lib/whois/server/adapters/web.rb", "lib/whois/server.rb", "lib/whois/version.rb", "lib/whois.rb", "spec/fixtures", "spec/fixtures/referrals", "spec/fixtures/referrals/afilias.bz.txt", "spec/fixtures/referrals/crsnic.com.txt", "spec/fixtures/referrals/crsnic.com_referral.txt", "spec/fixtures/referrals/crsnic.com_referral_missing.txt", "spec/fixtures/referrals/crsnic.com_referral_multiple.txt", "spec/fixtures/referrals/crsnic.com_referral_not_defined.txt", "spec/fixtures/referrals/niccc.cc.txt", "spec/fixtures/referrals/pir.org.txt", "spec/fixtures/responses", "spec/fixtures/responses/FIND.txt", "spec/fixtures/responses/jobswhois.verisign-grs.com", "spec/fixtures/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver.expected", "spec/fixtures/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver.txt", "spec/fixtures/responses/jobswhois.verisign-grs.com/status_available.expected", "spec/fixtures/responses/jobswhois.verisign-grs.com/status_available.txt", "spec/fixtures/responses/jobswhois.verisign-grs.com/status_registered.expected", "spec/fixtures/responses/jobswhois.verisign-grs.com/status_registered.txt", "spec/fixtures/responses/kero.yachay.pe", "spec/fixtures/responses/kero.yachay.pe/status_available.expected", "spec/fixtures/responses/kero.yachay.pe/status_available.txt", "spec/fixtures/responses/kero.yachay.pe/status_inactive.expected", "spec/fixtures/responses/kero.yachay.pe/status_inactive.txt", "spec/fixtures/responses/kero.yachay.pe/status_registered.expected", "spec/fixtures/responses/kero.yachay.pe/status_registered.txt", "spec/fixtures/responses/saudinic.net.sa", "spec/fixtures/responses/UTF8.txt", "spec/fixtures/responses/whois.adamsnames.tc", "spec/fixtures/responses/whois.adamsnames.tc/gd", "spec/fixtures/responses/whois.adamsnames.tc/gd/status_available.expected", "spec/fixtures/responses/whois.adamsnames.tc/gd/status_available.txt", "spec/fixtures/responses/whois.adamsnames.tc/gd/status_registered.expected", "spec/fixtures/responses/whois.adamsnames.tc/gd/status_registered.txt", "spec/fixtures/responses/whois.adamsnames.tc/tc", "spec/fixtures/responses/whois.adamsnames.tc/tc/status_available.expected", "spec/fixtures/responses/whois.adamsnames.tc/tc/status_available.txt", "spec/fixtures/responses/whois.adamsnames.tc/tc/status_registered.expected", "spec/fixtures/responses/whois.adamsnames.tc/tc/status_registered.txt", "spec/fixtures/responses/whois.adamsnames.tc/vg", "spec/fixtures/responses/whois.adamsnames.tc/vg/status_available.expected", "spec/fixtures/responses/whois.adamsnames.tc/vg/status_available.txt", "spec/fixtures/responses/whois.adamsnames.tc/vg/status_registered.expected", "spec/fixtures/responses/whois.adamsnames.tc/vg/status_registered.txt", "spec/fixtures/responses/whois.aeda.net.ae", "spec/fixtures/responses/whois.aeda.net.ae/status_available.expected", "spec/fixtures/responses/whois.aeda.net.ae/status_available.txt", "spec/fixtures/responses/whois.aeda.net.ae/status_registered.expected", "spec/fixtures/responses/whois.aeda.net.ae/status_registered.txt", "spec/fixtures/responses/whois.aero", "spec/fixtures/responses/whois.aero/status_available.expected", "spec/fixtures/responses/whois.aero/status_available.txt", "spec/fixtures/responses/whois.aero/status_registered.expected", "spec/fixtures/responses/whois.aero/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info", "spec/fixtures/responses/whois.afilias-grs.info/bz", "spec/fixtures/responses/whois.afilias-grs.info/bz/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/bz/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/bz/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/bz/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/gi", "spec/fixtures/responses/whois.afilias-grs.info/gi/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/gi/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/gi/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/gi/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/hn", "spec/fixtures/responses/whois.afilias-grs.info/hn/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/hn/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/hn/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/hn/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/lc", "spec/fixtures/responses/whois.afilias-grs.info/lc/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/lc/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/lc/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/lc/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/mn", "spec/fixtures/responses/whois.afilias-grs.info/mn/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/mn/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/mn/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/mn/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/sc", "spec/fixtures/responses/whois.afilias-grs.info/sc/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/sc/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/sc/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/sc/status_registered.txt", "spec/fixtures/responses/whois.afilias-grs.info/vc", "spec/fixtures/responses/whois.afilias-grs.info/vc/status_available.expected", "spec/fixtures/responses/whois.afilias-grs.info/vc/status_available.txt", "spec/fixtures/responses/whois.afilias-grs.info/vc/status_registered.expected", "spec/fixtures/responses/whois.afilias-grs.info/vc/status_registered.txt", "spec/fixtures/responses/whois.afilias.info", "spec/fixtures/responses/whois.afilias.info/status_available.expected", "spec/fixtures/responses/whois.afilias.info/status_available.txt", "spec/fixtures/responses/whois.afilias.info/status_registered.expected", "spec/fixtures/responses/whois.afilias.info/status_registered.txt", "spec/fixtures/responses/whois.ai", "spec/fixtures/responses/whois.ai/status_available.expected", "spec/fixtures/responses/whois.ai/status_available.txt", "spec/fixtures/responses/whois.ai/status_registered.expected", "spec/fixtures/responses/whois.ai/status_registered.txt", "spec/fixtures/responses/whois.arnes.si", "spec/fixtures/responses/whois.arnes.si/status_available.expected", "spec/fixtures/responses/whois.arnes.si/status_available.txt", "spec/fixtures/responses/whois.arnes.si/status_registered.expected", "spec/fixtures/responses/whois.arnes.si/status_registered.txt", "spec/fixtures/responses/whois.audns.net.au", "spec/fixtures/responses/whois.audns.net.au/property_status_with_multiple.expected", "spec/fixtures/responses/whois.audns.net.au/property_status_with_multiple.txt", "spec/fixtures/responses/whois.audns.net.au/status_available.expected", "spec/fixtures/responses/whois.audns.net.au/status_available.txt", "spec/fixtures/responses/whois.audns.net.au/status_registered.expected", "spec/fixtures/responses/whois.audns.net.au/status_registered.txt", "spec/fixtures/responses/whois.ausregistry.net.au", "spec/fixtures/responses/whois.biz", "spec/fixtures/responses/whois.biz/status_available.expected", "spec/fixtures/responses/whois.biz/status_available.txt", "spec/fixtures/responses/whois.biz/status_registered.expected", "spec/fixtures/responses/whois.biz/status_registered.txt", "spec/fixtures/responses/whois.cat", "spec/fixtures/responses/whois.cat/property_status_missing.expected", "spec/fixtures/responses/whois.cat/property_status_missing.txt", "spec/fixtures/responses/whois.cat/property_status_multiple.expected", "spec/fixtures/responses/whois.cat/property_status_multiple.txt", "spec/fixtures/responses/whois.cat/property_status_ok.expected", "spec/fixtures/responses/whois.cat/property_status_ok.txt", "spec/fixtures/responses/whois.cat/status_available.expected", "spec/fixtures/responses/whois.cat/status_available.txt", "spec/fixtures/responses/whois.cat/status_registered.expected", "spec/fixtures/responses/whois.cat/status_registered.txt", "spec/fixtures/responses/whois.cctld.uz", "spec/fixtures/responses/whois.cctld.uz/status_available.expected", "spec/fixtures/responses/whois.cctld.uz/status_available.txt", "spec/fixtures/responses/whois.cctld.uz/status_registered.expected", "spec/fixtures/responses/whois.cctld.uz/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com", "spec/fixtures/responses/whois.centralnic.com/ae.org", "spec/fixtures/responses/whois.centralnic.com/ae.org/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/ae.org/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/ae.org/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/ae.org/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/ar.com", "spec/fixtures/responses/whois.centralnic.com/ar.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/ar.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/ar.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/ar.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/br.com", "spec/fixtures/responses/whois.centralnic.com/br.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/br.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/br.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/br.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/cn.com", "spec/fixtures/responses/whois.centralnic.com/cn.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/cn.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/cn.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/cn.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/de.com", "spec/fixtures/responses/whois.centralnic.com/de.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/de.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/de.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/de.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/eu.com", "spec/fixtures/responses/whois.centralnic.com/eu.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/eu.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/eu.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/eu.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/gb.com", "spec/fixtures/responses/whois.centralnic.com/gb.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/gb.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/gb.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/gb.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/gb.net", "spec/fixtures/responses/whois.centralnic.com/gb.net/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/gb.net/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/gb.net/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/gb.net/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/hu.com", "spec/fixtures/responses/whois.centralnic.com/hu.com/registered_details_omitted.txt", "spec/fixtures/responses/whois.centralnic.com/hu.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/hu.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/hu.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/hu.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/jpn.com", "spec/fixtures/responses/whois.centralnic.com/jpn.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/jpn.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/jpn.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/jpn.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/kr.com", "spec/fixtures/responses/whois.centralnic.com/kr.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/kr.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/kr.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/kr.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/no.com", "spec/fixtures/responses/whois.centralnic.com/no.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/no.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/no.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/no.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/qc.com", "spec/fixtures/responses/whois.centralnic.com/qc.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/qc.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/qc.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/qc.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/ru.com", "spec/fixtures/responses/whois.centralnic.com/ru.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/ru.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/ru.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/ru.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/sa.com", "spec/fixtures/responses/whois.centralnic.com/sa.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/sa.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/sa.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/sa.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/se.com", "spec/fixtures/responses/whois.centralnic.com/se.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/se.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/se.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/se.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/se.net", "spec/fixtures/responses/whois.centralnic.com/se.net/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/se.net/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/se.net/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/se.net/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/uk.com", "spec/fixtures/responses/whois.centralnic.com/uk.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/uk.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/uk.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/uk.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/uk.net", "spec/fixtures/responses/whois.centralnic.com/uk.net/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/uk.net/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/uk.net/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/uk.net/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/us.com", "spec/fixtures/responses/whois.centralnic.com/us.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/us.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/us.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/us.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/uy.com", "spec/fixtures/responses/whois.centralnic.com/uy.com/property_billing_contact_missing.txt", "spec/fixtures/responses/whois.centralnic.com/uy.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/uy.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.com/uy.com/status_registered_details_omitted.txt", "spec/fixtures/responses/whois.centralnic.com/web.com", "spec/fixtures/responses/whois.centralnic.com/web.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/za.com", "spec/fixtures/responses/whois.centralnic.com/za.com/status_available.expected", "spec/fixtures/responses/whois.centralnic.com/za.com/status_available.txt", "spec/fixtures/responses/whois.centralnic.com/za.com/status_registered.expected", "spec/fixtures/responses/whois.centralnic.com/za.com/status_registered.txt", "spec/fixtures/responses/whois.centralnic.net", "spec/fixtures/responses/whois.cira.ca", "spec/fixtures/responses/whois.cira.ca/schema-1", "spec/fixtures/responses/whois.cira.ca/schema-1/status_available.expected", "spec/fixtures/responses/whois.cira.ca/schema-1/status_available.txt", "spec/fixtures/responses/whois.cira.ca/schema-1/status_registered.expected", "spec/fixtures/responses/whois.cira.ca/schema-1/status_registered.txt", "spec/fixtures/responses/whois.cira.ca/schema-2", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_autorenew_grace.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_autorenew_grace.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_available.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_available.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_redemption.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_redemption.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_registered.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_registered.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_tobereleased.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_tobereleased.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/property_status_unavailable.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/status_available.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/status_available.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/status_invalid.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/status_invalid.txt", "spec/fixtures/responses/whois.cira.ca/schema-2/status_registered.expected", "spec/fixtures/responses/whois.cira.ca/schema-2/status_registered.txt", "spec/fixtures/responses/whois.cnnic.cn", "spec/fixtures/responses/whois.cnnic.cn/property_status_ok.expected", "spec/fixtures/responses/whois.cnnic.cn/property_status_ok.txt", "spec/fixtures/responses/whois.cnnic.cn/status_available.expected", "spec/fixtures/responses/whois.cnnic.cn/status_available.txt", "spec/fixtures/responses/whois.cnnic.cn/status_registered.expected", "spec/fixtures/responses/whois.cnnic.cn/status_registered.txt", "spec/fixtures/responses/whois.cnnic.cn/status_reserved.expected", "spec/fixtures/responses/whois.cnnic.cn/status_reserved.txt", "spec/fixtures/responses/whois.cnnic.net.cn", "spec/fixtures/responses/whois.co.ca", "spec/fixtures/responses/whois.co.ca/status_available.expected", "spec/fixtures/responses/whois.co.ca/status_available.txt", "spec/fixtures/responses/whois.co.ca/status_registered.expected", "spec/fixtures/responses/whois.co.ca/status_registered.txt", "spec/fixtures/responses/whois.co.ca/status_reserved.expected", "spec/fixtures/responses/whois.co.ca/status_reserved.txt", "spec/fixtures/responses/whois.co.pl", "spec/fixtures/responses/whois.co.pl/status_available.expected", "spec/fixtures/responses/whois.co.pl/status_available.txt", "spec/fixtures/responses/whois.co.pl/status_registered.expected", "spec/fixtures/responses/whois.co.pl/status_registered.txt", "spec/fixtures/responses/whois.co.ug", "spec/fixtures/responses/whois.co.ug/status_available.expected", "spec/fixtures/responses/whois.co.ug/status_available.txt", "spec/fixtures/responses/whois.co.ug/status_registered.expected", "spec/fixtures/responses/whois.co.ug/status_registered.txt", "spec/fixtures/responses/whois.coza.net.za", "spec/fixtures/responses/whois.coza.net.za/status_available.expected", "spec/fixtures/responses/whois.coza.net.za/status_available.txt", "spec/fixtures/responses/whois.coza.net.za/status_registered.expected", "spec/fixtures/responses/whois.coza.net.za/status_registered.txt", "spec/fixtures/responses/whois.crsnic.net", "spec/fixtures/responses/whois.crsnic.net/property_nameserver_no_nameserver.expected", "spec/fixtures/responses/whois.crsnic.net/property_nameserver_no_nameserver.txt", "spec/fixtures/responses/whois.crsnic.net/property_registrar_with_multiple_entries.expected", "spec/fixtures/responses/whois.crsnic.net/property_registrar_with_multiple_entries.txt", "spec/fixtures/responses/whois.crsnic.net/status_available.expected", "spec/fixtures/responses/whois.crsnic.net/status_available.txt", "spec/fixtures/responses/whois.crsnic.net/status_registered.expected", "spec/fixtures/responses/whois.crsnic.net/status_registered.txt", "spec/fixtures/responses/whois.denic.de", "spec/fixtures/responses/whois.denic.de/schema-1.10.0", "spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_available.expected", "spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_available.txt", "spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_registered.expected", "spec/fixtures/responses/whois.denic.de/schema-1.10.0/status_registered.txt", "spec/fixtures/responses/whois.denic.de/schema-1.11.0", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/property_technical_contact.txt", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_available.expected", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_available.txt", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_invalid.expected", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_invalid.txt", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_registered.expected", "spec/fixtures/responses/whois.denic.de/schema-1.11.0/status_registered.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0", "spec/fixtures/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/property_technical_contact.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/response_throttled.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/response_throttled.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_available.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_available.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed_ace.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_failed_ace.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_invalid.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_invalid.txt", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_registered.expected", "spec/fixtures/responses/whois.denic.de/schema-2.0/status_registered.txt", "spec/fixtures/responses/whois.dk-hostmaster.dk", "spec/fixtures/responses/whois.dk-hostmaster.dk/status_available.expected", "spec/fixtures/responses/whois.dk-hostmaster.dk/status_available.txt", "spec/fixtures/responses/whois.dk-hostmaster.dk/status_registered.expected", "spec/fixtures/responses/whois.dk-hostmaster.dk/status_registered.txt", "spec/fixtures/responses/whois.dns.be", "spec/fixtures/responses/whois.dns.be/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.dns.be/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.dns.be/response_throttled.expected", "spec/fixtures/responses/whois.dns.be/response_throttled.txt", "spec/fixtures/responses/whois.dns.be/status_available.expected", "spec/fixtures/responses/whois.dns.be/status_available.txt", "spec/fixtures/responses/whois.dns.be/status_registered.expected", "spec/fixtures/responses/whois.dns.be/status_registered.txt", "spec/fixtures/responses/whois.dns.lu", "spec/fixtures/responses/whois.dns.lu/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.dns.lu/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.dns.lu/status_available.expected", "spec/fixtures/responses/whois.dns.lu/status_available.txt", "spec/fixtures/responses/whois.dns.lu/status_registered.expected", "spec/fixtures/responses/whois.dns.lu/status_registered.txt", "spec/fixtures/responses/whois.dns.pl", "spec/fixtures/responses/whois.dns.pl/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.dns.pl/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.dns.pl/status_available.expected", "spec/fixtures/responses/whois.dns.pl/status_available.txt", "spec/fixtures/responses/whois.dns.pl/status_registered.expected", "spec/fixtures/responses/whois.dns.pl/status_registered.txt", "spec/fixtures/responses/whois.dns.pt", "spec/fixtures/responses/whois.dns.pt/property_nameservers.expected", "spec/fixtures/responses/whois.dns.pt/property_nameservers.txt", "spec/fixtures/responses/whois.dns.pt/property_nameservers_without_host.expected", "spec/fixtures/responses/whois.dns.pt/property_nameservers_without_host.txt", "spec/fixtures/responses/whois.dns.pt/property_status_techpro.expected", "spec/fixtures/responses/whois.dns.pt/property_status_techpro.txt", "spec/fixtures/responses/whois.dns.pt/status_available.expected", "spec/fixtures/responses/whois.dns.pt/status_available.txt", "spec/fixtures/responses/whois.dns.pt/status_inactive.expected", "spec/fixtures/responses/whois.dns.pt/status_inactive.txt", "spec/fixtures/responses/whois.dns.pt/status_registered.expected", "spec/fixtures/responses/whois.dns.pt/status_registered.txt", "spec/fixtures/responses/whois.dns.pt/status_reserved.expected", "spec/fixtures/responses/whois.dns.pt/status_reserved.txt", "spec/fixtures/responses/whois.domain-registry.nl", "spec/fixtures/responses/whois.domain-registry.nl/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.domain-registry.nl/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.domain-registry.nl/response_throttled.expected", "spec/fixtures/responses/whois.domain-registry.nl/response_throttled.txt", "spec/fixtures/responses/whois.domain-registry.nl/response_throttled_daily.expected", "spec/fixtures/responses/whois.domain-registry.nl/response_throttled_daily.txt", "spec/fixtures/responses/whois.domain-registry.nl/response_unavailable.expected", "spec/fixtures/responses/whois.domain-registry.nl/response_unavailable.txt", "spec/fixtures/responses/whois.domain-registry.nl/status_available.expected", "spec/fixtures/responses/whois.domain-registry.nl/status_available.txt", "spec/fixtures/responses/whois.domain-registry.nl/status_quarantine.expected", "spec/fixtures/responses/whois.domain-registry.nl/status_quarantine.txt", "spec/fixtures/responses/whois.domain-registry.nl/status_registered.expected", "spec/fixtures/responses/whois.domain-registry.nl/status_registered.txt", "spec/fixtures/responses/whois.domain.kg", "spec/fixtures/responses/whois.domain.kg/status_available.expected", "spec/fixtures/responses/whois.domain.kg/status_available.txt", "spec/fixtures/responses/whois.domain.kg/status_registered.expected", "spec/fixtures/responses/whois.domain.kg/status_registered.txt", "spec/fixtures/responses/whois.domainregistry.ie", "spec/fixtures/responses/whois.domainregistry.ie/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.domainregistry.ie/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.domainregistry.ie/status_available.expected", "spec/fixtures/responses/whois.domainregistry.ie/status_available.txt", "spec/fixtures/responses/whois.domainregistry.ie/status_registered.expected", "spec/fixtures/responses/whois.domainregistry.ie/status_registered.txt", "spec/fixtures/responses/whois.domainregistry.my", "spec/fixtures/responses/whois.domainregistry.my/status_available.expected", "spec/fixtures/responses/whois.domainregistry.my/status_available.txt", "spec/fixtures/responses/whois.domainregistry.my/status_registered.expected", "spec/fixtures/responses/whois.domainregistry.my/status_registered.txt", "spec/fixtures/responses/whois.domreg.lt", "spec/fixtures/responses/whois.domreg.lt/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.domreg.lt/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.domreg.lt/status_available.expected", "spec/fixtures/responses/whois.domreg.lt/status_available.txt", "spec/fixtures/responses/whois.domreg.lt/status_registered.expected", "spec/fixtures/responses/whois.domreg.lt/status_registered.txt", "spec/fixtures/responses/whois.dot.tk", "spec/fixtures/responses/whois.dot.tk/status_available.expected", "spec/fixtures/responses/whois.dot.tk/status_available.txt", "spec/fixtures/responses/whois.dot.tk/status_registered.expected", "spec/fixtures/responses/whois.dot.tk/status_registered.txt", "spec/fixtures/responses/whois.dotmobiregistry.net", "spec/fixtures/responses/whois.dotmobiregistry.net/status_available.expected", "spec/fixtures/responses/whois.dotmobiregistry.net/status_available.txt", "spec/fixtures/responses/whois.dotmobiregistry.net/status_registered.expected", "spec/fixtures/responses/whois.dotmobiregistry.net/status_registered.txt", "spec/fixtures/responses/whois.educause.edu", "spec/fixtures/responses/whois.educause.edu/property_updated_on_unknown.expected", "spec/fixtures/responses/whois.educause.edu/property_updated_on_unknown.txt", "spec/fixtures/responses/whois.educause.edu/status_available.expected", "spec/fixtures/responses/whois.educause.edu/status_available.txt", "spec/fixtures/responses/whois.educause.edu/status_registered.expected", "spec/fixtures/responses/whois.educause.edu/status_registered.txt", "spec/fixtures/responses/whois.eenet.ee", "spec/fixtures/responses/whois.eenet.ee/status_available.expected", "spec/fixtures/responses/whois.eenet.ee/status_available.txt", "spec/fixtures/responses/whois.eenet.ee/status_registered.expected", "spec/fixtures/responses/whois.eenet.ee/status_registered.txt", "spec/fixtures/responses/whois.eu", "spec/fixtures/responses/whois.eu/property_nameservers.expected", "spec/fixtures/responses/whois.eu/property_nameservers.txt", "spec/fixtures/responses/whois.eu/status_available.expected", "spec/fixtures/responses/whois.eu/status_available.txt", "spec/fixtures/responses/whois.eu/status_registered.expected", "spec/fixtures/responses/whois.eu/status_registered.txt", "spec/fixtures/responses/whois.eu.org", "spec/fixtures/responses/whois.eu.org/status_available.expected", "spec/fixtures/responses/whois.eu.org/status_available.txt", "spec/fixtures/responses/whois.eu.org/status_registered.expected", "spec/fixtures/responses/whois.eu.org/status_registered.txt", "spec/fixtures/responses/whois.ficora.fi", "spec/fixtures/responses/whois.ficora.fi/status_available.expected", "spec/fixtures/responses/whois.ficora.fi/status_available.txt", "spec/fixtures/responses/whois.ficora.fi/status_registered.expected", "spec/fixtures/responses/whois.ficora.fi/status_registered.txt", "spec/fixtures/responses/whois.gg", "spec/fixtures/responses/whois.gg/status_available.expected", "spec/fixtures/responses/whois.gg/status_available.txt", "spec/fixtures/responses/whois.gg/status_registered.expected", "spec/fixtures/responses/whois.gg/status_registered.txt", "spec/fixtures/responses/whois.godaddy.com", "spec/fixtures/responses/whois.godaddy.com/property_dates_not_available.txt", "spec/fixtures/responses/whois.godaddy.com/status_registered.expected", "spec/fixtures/responses/whois.godaddy.com/status_registered.txt", "spec/fixtures/responses/whois.gov.za", "spec/fixtures/responses/whois.gov.za/status_available.expected", "spec/fixtures/responses/whois.gov.za/status_available.txt", "spec/fixtures/responses/whois.gov.za/status_registered.expected", "spec/fixtures/responses/whois.gov.za/status_registered.txt", "spec/fixtures/responses/whois.hkdnr.net.hk", "spec/fixtures/responses/whois.hkirc.hk", "spec/fixtures/responses/whois.hkirc.hk/status_available.expected", "spec/fixtures/responses/whois.hkirc.hk/status_available.txt", "spec/fixtures/responses/whois.hkirc.hk/status_registered.expected", "spec/fixtures/responses/whois.hkirc.hk/status_registered.txt", "spec/fixtures/responses/whois.iam.net.ma", "spec/fixtures/responses/whois.iam.net.ma/status_available.expected", "spec/fixtures/responses/whois.iam.net.ma/status_available.txt", "spec/fixtures/responses/whois.iam.net.ma/status_registered.expected", "spec/fixtures/responses/whois.iam.net.ma/status_registered.txt", "spec/fixtures/responses/whois.iana.org", "spec/fixtures/responses/whois.iana.org/MULTIPLE.txt", "spec/fixtures/responses/whois.iana.org/status_available.expected", "spec/fixtures/responses/whois.iana.org/status_available.txt", "spec/fixtures/responses/whois.iana.org/status_not_assigned.expected", "spec/fixtures/responses/whois.iana.org/status_not_assigned.txt", "spec/fixtures/responses/whois.iana.org/status_registered.expected", "spec/fixtures/responses/whois.iana.org/status_registered.txt", "spec/fixtures/responses/whois.in.ua", "spec/fixtures/responses/whois.in.ua/status_available.expected", "spec/fixtures/responses/whois.in.ua/status_available.txt", "spec/fixtures/responses/whois.in.ua/status_registered.expected", "spec/fixtures/responses/whois.in.ua/status_registered.txt", "spec/fixtures/responses/whois.isnic.is", "spec/fixtures/responses/whois.isnic.is/status_available.expected", "spec/fixtures/responses/whois.isnic.is/status_available.txt", "spec/fixtures/responses/whois.isnic.is/status_registered.expected", "spec/fixtures/responses/whois.isnic.is/status_registered.txt", "spec/fixtures/responses/whois.isoc.org.il", "spec/fixtures/responses/whois.isoc.org.il/property_status_missing.expected", "spec/fixtures/responses/whois.isoc.org.il/property_status_missing.txt", "spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_allowed.expected", "spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_allowed.txt", "spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_locked.expected", "spec/fixtures/responses/whois.isoc.org.il/property_status_transfer_locked.txt", "spec/fixtures/responses/whois.isoc.org.il/status_available.expected", "spec/fixtures/responses/whois.isoc.org.il/status_available.txt", "spec/fixtures/responses/whois.isoc.org.il/status_registered.expected", "spec/fixtures/responses/whois.isoc.org.il/status_registered.txt", "spec/fixtures/responses/whois.ja.net", "spec/fixtures/responses/whois.ja.net/ac.uk", "spec/fixtures/responses/whois.ja.net/ac.uk/status_available.expected", "spec/fixtures/responses/whois.ja.net/ac.uk/status_available.txt", "spec/fixtures/responses/whois.ja.net/ac.uk/status_registered.expected", "spec/fixtures/responses/whois.ja.net/ac.uk/status_registered.txt", "spec/fixtures/responses/whois.ja.net/gov.uk", "spec/fixtures/responses/whois.ja.net/gov.uk/status_available.expected", "spec/fixtures/responses/whois.ja.net/gov.uk/status_available.txt", "spec/fixtures/responses/whois.ja.net/gov.uk/status_registered.expected", "spec/fixtures/responses/whois.ja.net/gov.uk/status_registered.txt", "spec/fixtures/responses/whois.je", "spec/fixtures/responses/whois.je/status_available.expected", "spec/fixtures/responses/whois.je/status_available.txt", "spec/fixtures/responses/whois.je/status_registered.expected", "spec/fixtures/responses/whois.je/status_registered.txt", "spec/fixtures/responses/whois.jprs.jp", "spec/fixtures/responses/whois.jprs.jp/jp", "spec/fixtures/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing.expected", "spec/fixtures/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing.txt", "spec/fixtures/responses/whois.jprs.jp/jp/property_expires_on_missing.expected", "spec/fixtures/responses/whois.jprs.jp/jp/property_expires_on_missing.txt", "spec/fixtures/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range.expected", "spec/fixtures/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range.txt", "spec/fixtures/responses/whois.jprs.jp/jp/status_available.expected", "spec/fixtures/responses/whois.jprs.jp/jp/status_available.txt", "spec/fixtures/responses/whois.jprs.jp/jp/status_registered.expected", "spec/fixtures/responses/whois.jprs.jp/jp/status_registered.txt", "spec/fixtures/responses/whois.jprs.jp/jp/status_reserved.expected", "spec/fixtures/responses/whois.jprs.jp/jp/status_reserved.txt", "spec/fixtures/responses/whois.jprs.jp/ne.jp", "spec/fixtures/responses/whois.jprs.jp/ne.jp/status_available.expected", "spec/fixtures/responses/whois.jprs.jp/ne.jp/status_available.txt", "spec/fixtures/responses/whois.jprs.jp/ne.jp/status_registered.expected", "spec/fixtures/responses/whois.jprs.jp/ne.jp/status_registered.txt", "spec/fixtures/responses/whois.kenic.or.ke", "spec/fixtures/responses/whois.kenic.or.ke/status_available.expected", "spec/fixtures/responses/whois.kenic.or.ke/status_available.txt", "spec/fixtures/responses/whois.kenic.or.ke/status_registered.expected", "spec/fixtures/responses/whois.kenic.or.ke/status_registered.txt", "spec/fixtures/responses/whois.kr", "spec/fixtures/responses/whois.kr/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.kr/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.kr/status_available.expected", "spec/fixtures/responses/whois.kr/status_available.txt", "spec/fixtures/responses/whois.kr/status_registered.expected", "spec/fixtures/responses/whois.kr/status_registered.txt", "spec/fixtures/responses/whois.markmonitor.com", "spec/fixtures/responses/whois.markmonitor.com/property_contacts_are_blank.expected", "spec/fixtures/responses/whois.markmonitor.com/property_contacts_are_blank.txt", "spec/fixtures/responses/whois.markmonitor.com/status_registered.expected", "spec/fixtures/responses/whois.markmonitor.com/status_registered.txt", "spec/fixtures/responses/whois.meregistry.net", "spec/fixtures/responses/whois.meregistry.net/property_nameservers_is_blank.expected", "spec/fixtures/responses/whois.meregistry.net/property_nameservers_is_blank.txt", "spec/fixtures/responses/whois.meregistry.net/property_updated_on_is_blank.expected", "spec/fixtures/responses/whois.meregistry.net/property_updated_on_is_blank.txt", "spec/fixtures/responses/whois.meregistry.net/status_available.expected", "spec/fixtures/responses/whois.meregistry.net/status_available.txt", "spec/fixtures/responses/whois.meregistry.net/status_registered.expected", "spec/fixtures/responses/whois.meregistry.net/status_registered.txt", "spec/fixtures/responses/whois.museum", "spec/fixtures/responses/whois.museum/status_available.expected", "spec/fixtures/responses/whois.museum/status_available.txt", "spec/fixtures/responses/whois.museum/status_registered.expected", "spec/fixtures/responses/whois.museum/status_registered.txt", "spec/fixtures/responses/whois.na-nic.com.na", "spec/fixtures/responses/whois.na-nic.com.na/property_status_suspended.expected", "spec/fixtures/responses/whois.na-nic.com.na/property_status_suspended.txt", "spec/fixtures/responses/whois.na-nic.com.na/status_available.expected", "spec/fixtures/responses/whois.na-nic.com.na/status_available.txt", "spec/fixtures/responses/whois.na-nic.com.na/status_registered.expected", "spec/fixtures/responses/whois.na-nic.com.na/status_registered.txt", "spec/fixtures/responses/whois.net.ua", "spec/fixtures/responses/whois.net.ua/property_nameservers_uppercase.expected", "spec/fixtures/responses/whois.net.ua/property_nameservers_uppercase.txt", "spec/fixtures/responses/whois.net.ua/redirect_to_whois.in.ua.txt", "spec/fixtures/responses/whois.net.ua/status_available.expected", "spec/fixtures/responses/whois.net.ua/status_available.txt", "spec/fixtures/responses/whois.net.ua/status_registered.expected", "spec/fixtures/responses/whois.net.ua/status_registered.txt", "spec/fixtures/responses/whois.netcom.cm", "spec/fixtures/responses/whois.netcom.cm/status_available.expected", "spec/fixtures/responses/whois.netcom.cm/status_available.txt", "spec/fixtures/responses/whois.netcom.cm/status_registered.expected", "spec/fixtures/responses/whois.netcom.cm/status_registered.txt", "spec/fixtures/responses/whois.nic-se.se", "spec/fixtures/responses/whois.nic-se.se/property_datetime_is_dash.expected", "spec/fixtures/responses/whois.nic-se.se/property_datetime_is_dash.txt", "spec/fixtures/responses/whois.nic-se.se/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic-se.se/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic-se.se/property_status_inactive.txt", "spec/fixtures/responses/whois.nic-se.se/property_status_missing.txt", "spec/fixtures/responses/whois.nic-se.se/property_status_ok.txt", "spec/fixtures/responses/whois.nic-se.se/status_available.expected", "spec/fixtures/responses/whois.nic-se.se/status_available.txt", "spec/fixtures/responses/whois.nic-se.se/status_inactive.expected", "spec/fixtures/responses/whois.nic-se.se/status_inactive.txt", "spec/fixtures/responses/whois.nic-se.se/status_registered.expected", "spec/fixtures/responses/whois.nic-se.se/status_registered.txt", "spec/fixtures/responses/whois.nic.ac", "spec/fixtures/responses/whois.nic.ac/status_available.expected", "spec/fixtures/responses/whois.nic.ac/status_available.txt", "spec/fixtures/responses/whois.nic.ac/status_registered.expected", "spec/fixtures/responses/whois.nic.ac/status_registered.txt", "spec/fixtures/responses/whois.nic.af", "spec/fixtures/responses/whois.nic.af/property_status_active.expected", "spec/fixtures/responses/whois.nic.af/property_status_active.txt", "spec/fixtures/responses/whois.nic.af/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.af/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.af/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.af/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.af/status_available.expected", "spec/fixtures/responses/whois.nic.af/status_available.txt", "spec/fixtures/responses/whois.nic.af/status_registered.expected", "spec/fixtures/responses/whois.nic.af/status_registered.txt", "spec/fixtures/responses/whois.nic.ag", "spec/fixtures/responses/whois.nic.ag/status_available.expected", "spec/fixtures/responses/whois.nic.ag/status_available.txt", "spec/fixtures/responses/whois.nic.ag/status_registered.expected", "spec/fixtures/responses/whois.nic.ag/status_registered.txt", "spec/fixtures/responses/whois.nic.am", "spec/fixtures/responses/whois.nic.am/status_available.expected", "spec/fixtures/responses/whois.nic.am/status_available.txt", "spec/fixtures/responses/whois.nic.am/status_registered.expected", "spec/fixtures/responses/whois.nic.am/status_registered.txt", "spec/fixtures/responses/whois.nic.as", "spec/fixtures/responses/whois.nic.as/status_available.expected", "spec/fixtures/responses/whois.nic.as/status_available.txt", "spec/fixtures/responses/whois.nic.as/status_registered.expected", "spec/fixtures/responses/whois.nic.as/status_registered.txt", "spec/fixtures/responses/whois.nic.asia", "spec/fixtures/responses/whois.nic.asia/property_status_multiple.expected", "spec/fixtures/responses/whois.nic.asia/property_status_multiple.txt", "spec/fixtures/responses/whois.nic.asia/property_status_single.expected", "spec/fixtures/responses/whois.nic.asia/property_status_single.txt", "spec/fixtures/responses/whois.nic.asia/status_available.expected", "spec/fixtures/responses/whois.nic.asia/status_available.txt", "spec/fixtures/responses/whois.nic.asia/status_registered.expected", "spec/fixtures/responses/whois.nic.asia/status_registered.txt", "spec/fixtures/responses/whois.nic.at", "spec/fixtures/responses/whois.nic.at/status_available.expected", "spec/fixtures/responses/whois.nic.at/status_available.txt", "spec/fixtures/responses/whois.nic.at/status_registered.expected", "spec/fixtures/responses/whois.nic.at/status_registered.txt", "spec/fixtures/responses/whois.nic.bo", "spec/fixtures/responses/whois.nic.bo/status_available.expected", "spec/fixtures/responses/whois.nic.bo/status_available.txt", "spec/fixtures/responses/whois.nic.bo/status_registered.expected", "spec/fixtures/responses/whois.nic.bo/status_registered.txt", "spec/fixtures/responses/whois.nic.cc", "spec/fixtures/responses/whois.nic.cc/property_nameserver_no_nameserver.expected", "spec/fixtures/responses/whois.nic.cc/property_nameserver_no_nameserver.txt", "spec/fixtures/responses/whois.nic.cc/status_available.expected", "spec/fixtures/responses/whois.nic.cc/status_available.txt", "spec/fixtures/responses/whois.nic.cc/status_registered.expected", "spec/fixtures/responses/whois.nic.cc/status_registered.txt", "spec/fixtures/responses/whois.nic.cd", "spec/fixtures/responses/whois.nic.cd/status_available.expected", "spec/fixtures/responses/whois.nic.cd/status_available.txt", "spec/fixtures/responses/whois.nic.cd/status_registered.expected", "spec/fixtures/responses/whois.nic.cd/status_registered.txt", "spec/fixtures/responses/whois.nic.ch", "spec/fixtures/responses/whois.nic.ch/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic.ch/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic.ch/status_available.expected", "spec/fixtures/responses/whois.nic.ch/status_available.txt", "spec/fixtures/responses/whois.nic.ch/status_registered.expected", "spec/fixtures/responses/whois.nic.ch/status_registered.txt", "spec/fixtures/responses/whois.nic.ci", "spec/fixtures/responses/whois.nic.ci/status_available.expected", "spec/fixtures/responses/whois.nic.ci/status_available.txt", "spec/fixtures/responses/whois.nic.ci/status_registered.expected", "spec/fixtures/responses/whois.nic.ci/status_registered.txt", "spec/fixtures/responses/whois.nic.ck", "spec/fixtures/responses/whois.nic.ck/status_available.expected", "spec/fixtures/responses/whois.nic.ck/status_available.txt", "spec/fixtures/responses/whois.nic.ck/status_registered.expected", "spec/fixtures/responses/whois.nic.ck/status_registered.txt", "spec/fixtures/responses/whois.nic.cl", "spec/fixtures/responses/whois.nic.cl/status_available.expected", "spec/fixtures/responses/whois.nic.cl/status_available.txt", "spec/fixtures/responses/whois.nic.cl/status_registered.expected", "spec/fixtures/responses/whois.nic.cl/status_registered.txt", "spec/fixtures/responses/whois.nic.co", "spec/fixtures/responses/whois.nic.co/status_available.expected", "spec/fixtures/responses/whois.nic.co/status_available.txt", "spec/fixtures/responses/whois.nic.co/status_registered.expected", "spec/fixtures/responses/whois.nic.co/status_registered.txt", "spec/fixtures/responses/whois.nic.coop", "spec/fixtures/responses/whois.nic.coop/property_status_multiple.expected", "spec/fixtures/responses/whois.nic.coop/property_status_multiple.txt", "spec/fixtures/responses/whois.nic.coop/property_status_single.expected", "spec/fixtures/responses/whois.nic.coop/property_status_single.txt", "spec/fixtures/responses/whois.nic.coop/status_available.expected", "spec/fixtures/responses/whois.nic.coop/status_available.txt", "spec/fixtures/responses/whois.nic.coop/status_registered.expected", "spec/fixtures/responses/whois.nic.coop/status_registered.txt", "spec/fixtures/responses/whois.nic.cx", "spec/fixtures/responses/whois.nic.cx/property_status_active.expected", "spec/fixtures/responses/whois.nic.cx/property_status_active.txt", "spec/fixtures/responses/whois.nic.cx/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.cx/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.cx/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.cx/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.cx/status_available.expected", "spec/fixtures/responses/whois.nic.cx/status_available.txt", "spec/fixtures/responses/whois.nic.cx/status_registered.expected", "spec/fixtures/responses/whois.nic.cx/status_registered.txt", "spec/fixtures/responses/whois.nic.cz", "spec/fixtures/responses/whois.nic.cz/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic.cz/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic.cz/property_status_expired.expected", "spec/fixtures/responses/whois.nic.cz/property_status_expired.txt", "spec/fixtures/responses/whois.nic.cz/property_status_missing.expected", "spec/fixtures/responses/whois.nic.cz/property_status_missing.txt", "spec/fixtures/responses/whois.nic.cz/property_status_paid.expected", "spec/fixtures/responses/whois.nic.cz/property_status_paid.txt", "spec/fixtures/responses/whois.nic.cz/property_status_update_prohibited.expected", "spec/fixtures/responses/whois.nic.cz/property_status_update_prohibited.txt", "spec/fixtures/responses/whois.nic.cz/status_available.expected", "spec/fixtures/responses/whois.nic.cz/status_available.txt", "spec/fixtures/responses/whois.nic.cz/status_expired.txt", "spec/fixtures/responses/whois.nic.cz/status_registered.expected", "spec/fixtures/responses/whois.nic.cz/status_registered.txt", "spec/fixtures/responses/whois.nic.dz", "spec/fixtures/responses/whois.nic.dz/dz", "spec/fixtures/responses/whois.nic.dz/dz/status_available.expected", "spec/fixtures/responses/whois.nic.dz/dz/status_available.txt", "spec/fixtures/responses/whois.nic.dz/dz/status_registered.expected", "spec/fixtures/responses/whois.nic.dz/dz/status_registered.txt", "spec/fixtures/responses/whois.nic.ec", "spec/fixtures/responses/whois.nic.ec/status_available.expected", "spec/fixtures/responses/whois.nic.ec/status_available.txt", "spec/fixtures/responses/whois.nic.ec/status_registered.expected", "spec/fixtures/responses/whois.nic.ec/status_registered.txt", "spec/fixtures/responses/whois.nic.fr", "spec/fixtures/responses/whois.nic.fr/fr", "spec/fixtures/responses/whois.nic.fr/fr/property_nameservers.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_nameservers.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_status_active.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_status_active.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_status_blocked.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_status_blocked.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_status_missing.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_status_missing.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_status_redemption.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_status_redemption.txt", "spec/fixtures/responses/whois.nic.fr/fr/property_status_registered.expected", "spec/fixtures/responses/whois.nic.fr/fr/property_status_registered.txt", "spec/fixtures/responses/whois.nic.fr/fr/response_contains_trouble.txt", "spec/fixtures/responses/whois.nic.fr/fr/status_available.expected", "spec/fixtures/responses/whois.nic.fr/fr/status_available.txt", "spec/fixtures/responses/whois.nic.fr/fr/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/fr/status_registered.txt", "spec/fixtures/responses/whois.nic.fr/pm", "spec/fixtures/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6.expected", "spec/fixtures/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6.txt", "spec/fixtures/responses/whois.nic.fr/pm/status_available.expected", "spec/fixtures/responses/whois.nic.fr/pm/status_available.txt", "spec/fixtures/responses/whois.nic.fr/pm/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/pm/status_registered.txt", "spec/fixtures/responses/whois.nic.fr/re", "spec/fixtures/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6.expected", "spec/fixtures/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6.txt", "spec/fixtures/responses/whois.nic.fr/re/status_available.expected", "spec/fixtures/responses/whois.nic.fr/re/status_available.txt", "spec/fixtures/responses/whois.nic.fr/re/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/re/status_registered.txt", "spec/fixtures/responses/whois.nic.fr/tf", "spec/fixtures/responses/whois.nic.fr/tf/property_status_frozen.expected", "spec/fixtures/responses/whois.nic.fr/tf/property_status_frozen.txt", "spec/fixtures/responses/whois.nic.fr/tf/status_available.expected", "spec/fixtures/responses/whois.nic.fr/tf/status_available.txt", "spec/fixtures/responses/whois.nic.fr/tf/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/tf/status_registered.txt", "spec/fixtures/responses/whois.nic.fr/wf", "spec/fixtures/responses/whois.nic.fr/wf/status_available.expected", "spec/fixtures/responses/whois.nic.fr/wf/status_available.txt", "spec/fixtures/responses/whois.nic.fr/wf/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/wf/status_registered.txt", "spec/fixtures/responses/whois.nic.fr/yt", "spec/fixtures/responses/whois.nic.fr/yt/status_available.expected", "spec/fixtures/responses/whois.nic.fr/yt/status_available.txt", "spec/fixtures/responses/whois.nic.fr/yt/status_registered.expected", "spec/fixtures/responses/whois.nic.fr/yt/status_registered.txt", "spec/fixtures/responses/whois.nic.gl", "spec/fixtures/responses/whois.nic.gl/status_available.expected", "spec/fixtures/responses/whois.nic.gl/status_available.txt", "spec/fixtures/responses/whois.nic.gl/status_registered.expected", "spec/fixtures/responses/whois.nic.gl/status_registered.txt", "spec/fixtures/responses/whois.nic.gov", "spec/fixtures/responses/whois.nic.gov/status_available.expected", "spec/fixtures/responses/whois.nic.gov/status_available.txt", "spec/fixtures/responses/whois.nic.gov/status_registered.expected", "spec/fixtures/responses/whois.nic.gov/status_registered.txt", "spec/fixtures/responses/whois.nic.gs", "spec/fixtures/responses/whois.nic.gs/property_status_active.expected", "spec/fixtures/responses/whois.nic.gs/property_status_active.txt", "spec/fixtures/responses/whois.nic.gs/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.gs/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.gs/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.gs/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.gs/status_available.expected", "spec/fixtures/responses/whois.nic.gs/status_available.txt", "spec/fixtures/responses/whois.nic.gs/status_registered.expected", "spec/fixtures/responses/whois.nic.gs/status_registered.txt", "spec/fixtures/responses/whois.nic.ht", "spec/fixtures/responses/whois.nic.ht/property_status_active.expected", "spec/fixtures/responses/whois.nic.ht/property_status_active.txt", "spec/fixtures/responses/whois.nic.ht/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.ht/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.ht/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.ht/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.ht/status_available.expected", "spec/fixtures/responses/whois.nic.ht/status_available.txt", "spec/fixtures/responses/whois.nic.ht/status_registered.expected", "spec/fixtures/responses/whois.nic.ht/status_registered.txt", "spec/fixtures/responses/whois.nic.hu", "spec/fixtures/responses/whois.nic.hu/schema-1.99", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_company.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_company.txt", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_private_person.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_private_person.txt", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_without_address.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/property_contact_without_address.txt", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_available.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_available.txt", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_in_progress.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_in_progress.txt", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_registered.expected", "spec/fixtures/responses/whois.nic.hu/schema-1.99/status_registered.txt", "spec/fixtures/responses/whois.nic.hu/schema-current", "spec/fixtures/responses/whois.nic.hu/schema-current/status_available.expected", "spec/fixtures/responses/whois.nic.hu/schema-current/status_available.txt", "spec/fixtures/responses/whois.nic.hu/schema-current/status_registered.expected", "spec/fixtures/responses/whois.nic.hu/schema-current/status_registered.txt", "spec/fixtures/responses/whois.nic.im", "spec/fixtures/responses/whois.nic.im/status_available.expected", "spec/fixtures/responses/whois.nic.im/status_available.txt", "spec/fixtures/responses/whois.nic.im/status_registered.expected", "spec/fixtures/responses/whois.nic.im/status_registered.txt", "spec/fixtures/responses/whois.nic.io", "spec/fixtures/responses/whois.nic.io/status_available.expected", "spec/fixtures/responses/whois.nic.io/status_available.txt", "spec/fixtures/responses/whois.nic.io/status_registered.expected", "spec/fixtures/responses/whois.nic.io/status_registered.txt", "spec/fixtures/responses/whois.nic.ir", "spec/fixtures/responses/whois.nic.ir/status_available.expected", "spec/fixtures/responses/whois.nic.ir/status_available.txt", "spec/fixtures/responses/whois.nic.ir/status_registered.expected", "spec/fixtures/responses/whois.nic.ir/status_registered.txt", "spec/fixtures/responses/whois.nic.it", "spec/fixtures/responses/whois.nic.it/property_contact_province.expected", "spec/fixtures/responses/whois.nic.it/property_contact_province.txt", "spec/fixtures/responses/whois.nic.it/property_contact_with_company_in_address.expected", "spec/fixtures/responses/whois.nic.it/property_contact_with_company_in_address.txt", "spec/fixtures/responses/whois.nic.it/property_contact_with_organization.expected", "spec/fixtures/responses/whois.nic.it/property_contact_with_organization.txt", "spec/fixtures/responses/whois.nic.it/property_status_active.expected", "spec/fixtures/responses/whois.nic.it/property_status_active.txt", "spec/fixtures/responses/whois.nic.it/property_status_autorenewperiod_clientdeleteprohibited_clientupdateprohibited.txt", "spec/fixtures/responses/whois.nic.it/property_status_available.expected", "spec/fixtures/responses/whois.nic.it/property_status_available.txt", "spec/fixtures/responses/whois.nic.it/property_status_client.expected", "spec/fixtures/responses/whois.nic.it/property_status_client.txt", "spec/fixtures/responses/whois.nic.it/property_status_graceperiod.expected", "spec/fixtures/responses/whois.nic.it/property_status_graceperiod.txt", "spec/fixtures/responses/whois.nic.it/property_status_inactive_noregistrar.expected", "spec/fixtures/responses/whois.nic.it/property_status_inactive_noregistrar.txt", "spec/fixtures/responses/whois.nic.it/property_status_no_provider.expected", "spec/fixtures/responses/whois.nic.it/property_status_no_provider.txt", "spec/fixtures/responses/whois.nic.it/property_status_ok.expected", "spec/fixtures/responses/whois.nic.it/property_status_ok.txt", "spec/fixtures/responses/whois.nic.it/property_status_ok_autorenew.expected", "spec/fixtures/responses/whois.nic.it/property_status_ok_autorenew.txt", "spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_pendingdelete.expected", "spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_pendingdelete.txt", "spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod.expected", "spec/fixtures/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod.txt", "spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer.expected", "spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer.txt", "spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer_autorenewperiod.expected", "spec/fixtures/responses/whois.nic.it/property_status_pendingtransfer_autorenewperiod.txt", "spec/fixtures/responses/whois.nic.it/property_status_pendingupdate.expected", "spec/fixtures/responses/whois.nic.it/property_status_pendingupdate.txt", "spec/fixtures/responses/whois.nic.it/property_status_redemption_no_provider.expected", "spec/fixtures/responses/whois.nic.it/property_status_redemption_no_provider.txt", "spec/fixtures/responses/whois.nic.it/property_status_unassignable.expected", "spec/fixtures/responses/whois.nic.it/property_status_unassignable.txt", "spec/fixtures/responses/whois.nic.it/property_technical_contact.expected", "spec/fixtures/responses/whois.nic.it/property_technical_contact.txt", "spec/fixtures/responses/whois.nic.it/response_unavailable.expected", "spec/fixtures/responses/whois.nic.it/response_unavailable.txt", "spec/fixtures/responses/whois.nic.it/status_available.expected", "spec/fixtures/responses/whois.nic.it/status_available.txt", "spec/fixtures/responses/whois.nic.it/status_registered.expected", "spec/fixtures/responses/whois.nic.it/status_registered.txt", "spec/fixtures/responses/whois.nic.it/status_reserved.expected", "spec/fixtures/responses/whois.nic.it/status_reserved.txt", "spec/fixtures/responses/whois.nic.ki", "spec/fixtures/responses/whois.nic.ki/property_status_active.expected", "spec/fixtures/responses/whois.nic.ki/property_status_active.txt", "spec/fixtures/responses/whois.nic.ki/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.ki/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.ki/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.ki/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.ki/status_available.expected", "spec/fixtures/responses/whois.nic.ki/status_available.txt", "spec/fixtures/responses/whois.nic.ki/status_registered.expected", "spec/fixtures/responses/whois.nic.ki/status_registered.txt", "spec/fixtures/responses/whois.nic.kz", "spec/fixtures/responses/whois.nic.kz/property_status_missing.expected", "spec/fixtures/responses/whois.nic.kz/property_status_missing.txt", "spec/fixtures/responses/whois.nic.kz/property_status_multiple.expected", "spec/fixtures/responses/whois.nic.kz/property_status_multiple.txt", "spec/fixtures/responses/whois.nic.kz/property_status_ok.expected", "spec/fixtures/responses/whois.nic.kz/property_status_ok.txt", "spec/fixtures/responses/whois.nic.kz/status_available.expected", "spec/fixtures/responses/whois.nic.kz/status_available.txt", "spec/fixtures/responses/whois.nic.kz/status_registered.expected", "spec/fixtures/responses/whois.nic.kz/status_registered.txt", "spec/fixtures/responses/whois.nic.la", "spec/fixtures/responses/whois.nic.la/property_status_multiple.expected", "spec/fixtures/responses/whois.nic.la/property_status_multiple.txt", "spec/fixtures/responses/whois.nic.la/property_status_single.expected", "spec/fixtures/responses/whois.nic.la/property_status_single.txt", "spec/fixtures/responses/whois.nic.la/status_available.expected", "spec/fixtures/responses/whois.nic.la/status_available.txt", "spec/fixtures/responses/whois.nic.la/status_registered.expected", "spec/fixtures/responses/whois.nic.la/status_registered.txt", "spec/fixtures/responses/whois.nic.li", "spec/fixtures/responses/whois.nic.li/status_available.expected", "spec/fixtures/responses/whois.nic.li/status_available.txt", "spec/fixtures/responses/whois.nic.li/status_registered.expected", "spec/fixtures/responses/whois.nic.li/status_registered.txt", "spec/fixtures/responses/whois.nic.lv", "spec/fixtures/responses/whois.nic.lv/status_available.expected", "spec/fixtures/responses/whois.nic.lv/status_available.txt", "spec/fixtures/responses/whois.nic.lv/status_registered.expected", "spec/fixtures/responses/whois.nic.lv/status_registered.txt", "spec/fixtures/responses/whois.nic.ly", "spec/fixtures/responses/whois.nic.ly/status_available.expected", "spec/fixtures/responses/whois.nic.ly/status_available.txt", "spec/fixtures/responses/whois.nic.ly/status_registered.expected", "spec/fixtures/responses/whois.nic.ly/status_registered.txt", "spec/fixtures/responses/whois.nic.md", "spec/fixtures/responses/whois.nic.md/property_dns-update.txt", "spec/fixtures/responses/whois.nic.md/status_available.expected", "spec/fixtures/responses/whois.nic.md/status_available.txt", "spec/fixtures/responses/whois.nic.md/status_registered.expected", "spec/fixtures/responses/whois.nic.md/status_registered.txt", "spec/fixtures/responses/whois.nic.mg", "spec/fixtures/responses/whois.nic.mg/status_available.expected", "spec/fixtures/responses/whois.nic.mg/status_available.txt", "spec/fixtures/responses/whois.nic.mg/status_registered.expected", "spec/fixtures/responses/whois.nic.mg/status_registered.txt", "spec/fixtures/responses/whois.nic.ms", "spec/fixtures/responses/whois.nic.ms/property_status_active.expected", "spec/fixtures/responses/whois.nic.ms/property_status_active.txt", "spec/fixtures/responses/whois.nic.ms/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.ms/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.ms/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.ms/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.ms/status_available.expected", "spec/fixtures/responses/whois.nic.ms/status_available.txt", "spec/fixtures/responses/whois.nic.ms/status_registered.expected", "spec/fixtures/responses/whois.nic.ms/status_registered.txt", "spec/fixtures/responses/whois.nic.mu", "spec/fixtures/responses/whois.nic.mu/property_status_active.expected", "spec/fixtures/responses/whois.nic.mu/property_status_active.txt", "spec/fixtures/responses/whois.nic.mu/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.mu/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.mu/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.mu/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.mu/status_available.expected", "spec/fixtures/responses/whois.nic.mu/status_available.txt", "spec/fixtures/responses/whois.nic.mu/status_registered.expected", "spec/fixtures/responses/whois.nic.mu/status_registered.txt", "spec/fixtures/responses/whois.nic.mx", "spec/fixtures/responses/whois.nic.mx/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic.mx/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic.mx/status_available.expected", "spec/fixtures/responses/whois.nic.mx/status_available.txt", "spec/fixtures/responses/whois.nic.mx/status_registered.expected", "spec/fixtures/responses/whois.nic.mx/status_registered.txt", "spec/fixtures/responses/whois.nic.name", "spec/fixtures/responses/whois.nic.name/reserved.txt", "spec/fixtures/responses/whois.nic.name/status_available.expected", "spec/fixtures/responses/whois.nic.name/status_available.txt", "spec/fixtures/responses/whois.nic.name/status_registered.expected", "spec/fixtures/responses/whois.nic.name/status_registered.txt", "spec/fixtures/responses/whois.nic.net.nf", "spec/fixtures/responses/whois.nic.net.nf/property_status_active.expected", "spec/fixtures/responses/whois.nic.net.nf/property_status_active.txt", "spec/fixtures/responses/whois.nic.net.nf/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.net.nf/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.net.nf/property_status_excluded_pendingdelete_restorable.expected", "spec/fixtures/responses/whois.nic.net.nf/property_status_excluded_pendingdelete_restorable.txt", "spec/fixtures/responses/whois.nic.net.nf/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.net.nf/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.net.nf/status_available.expected", "spec/fixtures/responses/whois.nic.net.nf/status_available.txt", "spec/fixtures/responses/whois.nic.net.nf/status_registered.expected", "spec/fixtures/responses/whois.nic.net.nf/status_registered.txt", "spec/fixtures/responses/whois.nic.net.ng", "spec/fixtures/responses/whois.nic.net.ng/property_status_active.expected", "spec/fixtures/responses/whois.nic.net.ng/property_status_active.txt", "spec/fixtures/responses/whois.nic.net.ng/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.net.ng/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.net.ng/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.net.ng/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.net.ng/status_available.expected", "spec/fixtures/responses/whois.nic.net.ng/status_available.txt", "spec/fixtures/responses/whois.nic.net.ng/status_registered.expected", "spec/fixtures/responses/whois.nic.net.ng/status_registered.txt", "spec/fixtures/responses/whois.nic.net.sa", "spec/fixtures/responses/whois.nic.net.sa/status_available.expected", "spec/fixtures/responses/whois.nic.net.sa/status_available.txt", "spec/fixtures/responses/whois.nic.net.sa/status_registered.expected", "spec/fixtures/responses/whois.nic.net.sa/status_registered.txt", "spec/fixtures/responses/whois.nic.net.sb", "spec/fixtures/responses/whois.nic.net.sb/property_status_active.expected", "spec/fixtures/responses/whois.nic.net.sb/property_status_active.txt", "spec/fixtures/responses/whois.nic.net.sb/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.net.sb/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.net.sb/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.net.sb/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.net.sb/status_available.expected", "spec/fixtures/responses/whois.nic.net.sb/status_available.txt", "spec/fixtures/responses/whois.nic.net.sb/status_registered.expected", "spec/fixtures/responses/whois.nic.net.sb/status_registered.txt", "spec/fixtures/responses/whois.nic.nu", "spec/fixtures/responses/whois.nic.nu/status_available.expected", "spec/fixtures/responses/whois.nic.nu/status_available.txt", "spec/fixtures/responses/whois.nic.nu/status_registered.expected", "spec/fixtures/responses/whois.nic.nu/status_registered.txt", "spec/fixtures/responses/whois.nic.or.kr", "spec/fixtures/responses/whois.nic.org.uy", "spec/fixtures/responses/whois.nic.org.uy/status_available.expected", "spec/fixtures/responses/whois.nic.org.uy/status_available.txt", "spec/fixtures/responses/whois.nic.org.uy/status_registered.expected", "spec/fixtures/responses/whois.nic.org.uy/status_registered.txt", "spec/fixtures/responses/whois.nic.pr", "spec/fixtures/responses/whois.nic.pr/status_available.expected", "spec/fixtures/responses/whois.nic.pr/status_available.txt", "spec/fixtures/responses/whois.nic.pr/status_registered.expected", "spec/fixtures/responses/whois.nic.pr/status_registered.txt", "spec/fixtures/responses/whois.nic.priv.at", "spec/fixtures/responses/whois.nic.priv.at/status_available.expected", "spec/fixtures/responses/whois.nic.priv.at/status_available.txt", "spec/fixtures/responses/whois.nic.priv.at/status_registered.expected", "spec/fixtures/responses/whois.nic.priv.at/status_registered.txt", "spec/fixtures/responses/whois.nic.sh", "spec/fixtures/responses/whois.nic.sh/status_available.expected", "spec/fixtures/responses/whois.nic.sh/status_available.txt", "spec/fixtures/responses/whois.nic.sh/status_registered.expected", "spec/fixtures/responses/whois.nic.sh/status_registered.txt", "spec/fixtures/responses/whois.nic.sl", "spec/fixtures/responses/whois.nic.sl/status_available.expected", "spec/fixtures/responses/whois.nic.sl/status_available.txt", "spec/fixtures/responses/whois.nic.sl/status_registered.expected", "spec/fixtures/responses/whois.nic.sl/status_registered.txt", "spec/fixtures/responses/whois.nic.sm", "spec/fixtures/responses/whois.nic.sm/status_available.expected", "spec/fixtures/responses/whois.nic.sm/status_available.txt", "spec/fixtures/responses/whois.nic.sm/status_registered.expected", "spec/fixtures/responses/whois.nic.sm/status_registered.txt", "spec/fixtures/responses/whois.nic.sn", "spec/fixtures/responses/whois.nic.sn/status_available.expected", "spec/fixtures/responses/whois.nic.sn/status_available.txt", "spec/fixtures/responses/whois.nic.sn/status_registered.expected", "spec/fixtures/responses/whois.nic.sn/status_registered.txt", "spec/fixtures/responses/whois.nic.so", "spec/fixtures/responses/whois.nic.so/status_available.expected", "spec/fixtures/responses/whois.nic.so/status_available.txt", "spec/fixtures/responses/whois.nic.so/status_registered.expected", "spec/fixtures/responses/whois.nic.so/status_registered.txt", "spec/fixtures/responses/whois.nic.st", "spec/fixtures/responses/whois.nic.st/status_available.expected", "spec/fixtures/responses/whois.nic.st/status_available.txt", "spec/fixtures/responses/whois.nic.st/status_registered.expected", "spec/fixtures/responses/whois.nic.st/status_registered.txt", "spec/fixtures/responses/whois.nic.tel", "spec/fixtures/responses/whois.nic.tel/status_available.expected", "spec/fixtures/responses/whois.nic.tel/status_available.txt", "spec/fixtures/responses/whois.nic.tel/status_registered.expected", "spec/fixtures/responses/whois.nic.tel/status_registered.txt", "spec/fixtures/responses/whois.nic.tl", "spec/fixtures/responses/whois.nic.tl/property_status_active.expected", "spec/fixtures/responses/whois.nic.tl/property_status_active.txt", "spec/fixtures/responses/whois.nic.tl/property_status_delegated.expected", "spec/fixtures/responses/whois.nic.tl/property_status_delegated.txt", "spec/fixtures/responses/whois.nic.tl/property_status_not_registered.expected", "spec/fixtures/responses/whois.nic.tl/property_status_not_registered.txt", "spec/fixtures/responses/whois.nic.tl/status_available.expected", "spec/fixtures/responses/whois.nic.tl/status_available.txt", "spec/fixtures/responses/whois.nic.tl/status_registered.expected", "spec/fixtures/responses/whois.nic.tl/status_registered.txt", "spec/fixtures/responses/whois.nic.tm", "spec/fixtures/responses/whois.nic.tm/status_available.expected", "spec/fixtures/responses/whois.nic.tm/status_available.txt", "spec/fixtures/responses/whois.nic.tm/status_registered.expected", "spec/fixtures/responses/whois.nic.tm/status_registered.txt", "spec/fixtures/responses/whois.nic.tr", "spec/fixtures/responses/whois.nic.tr/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic.tr/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic.tr/property_nameservers_with_trailing_space.expected", "spec/fixtures/responses/whois.nic.tr/property_nameservers_with_trailing_space.txt", "spec/fixtures/responses/whois.nic.tr/status_available.expected", "spec/fixtures/responses/whois.nic.tr/status_available.txt", "spec/fixtures/responses/whois.nic.tr/status_registered.expected", "spec/fixtures/responses/whois.nic.tr/status_registered.txt", "spec/fixtures/responses/whois.nic.travel", "spec/fixtures/responses/whois.nic.travel/property_status_multiple.expected", "spec/fixtures/responses/whois.nic.travel/property_status_multiple.txt", "spec/fixtures/responses/whois.nic.travel/property_status_single.expected", "spec/fixtures/responses/whois.nic.travel/property_status_single.txt", "spec/fixtures/responses/whois.nic.travel/status_available.expected", "spec/fixtures/responses/whois.nic.travel/status_available.txt", "spec/fixtures/responses/whois.nic.travel/status_registered.expected", "spec/fixtures/responses/whois.nic.travel/status_registered.txt", "spec/fixtures/responses/whois.nic.tv", "spec/fixtures/responses/whois.nic.tv/property_nameserver_no_nameserver.expected", "spec/fixtures/responses/whois.nic.tv/property_nameserver_no_nameserver.txt", "spec/fixtures/responses/whois.nic.tv/status_available.expected", "spec/fixtures/responses/whois.nic.tv/status_available.txt", "spec/fixtures/responses/whois.nic.tv/status_registered.expected", "spec/fixtures/responses/whois.nic.tv/status_registered.txt", "spec/fixtures/responses/whois.nic.uk", "spec/fixtures/responses/whois.nic.uk/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.nic.uk/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.nic.uk/property_registrar_without_trading_name.expected", "spec/fixtures/responses/whois.nic.uk/property_registrar_without_trading_name.txt", "spec/fixtures/responses/whois.nic.uk/property_status_missing.expected", "spec/fixtures/responses/whois.nic.uk/property_status_missing.txt", "spec/fixtures/responses/whois.nic.uk/property_status_processing_registration.expected", "spec/fixtures/responses/whois.nic.uk/property_status_processing_registration.txt", "spec/fixtures/responses/whois.nic.uk/property_status_processing_renewal.expected", "spec/fixtures/responses/whois.nic.uk/property_status_processing_renewal.txt", "spec/fixtures/responses/whois.nic.uk/property_status_registered.expected", "spec/fixtures/responses/whois.nic.uk/property_status_registered.txt", "spec/fixtures/responses/whois.nic.uk/property_status_suspended.expected", "spec/fixtures/responses/whois.nic.uk/property_status_suspended.txt", "spec/fixtures/responses/whois.nic.uk/response_throttled.expected", "spec/fixtures/responses/whois.nic.uk/response_throttled.txt", "spec/fixtures/responses/whois.nic.uk/status_available.expected", "spec/fixtures/responses/whois.nic.uk/status_available.txt", "spec/fixtures/responses/whois.nic.uk/status_invalid.expected", "spec/fixtures/responses/whois.nic.uk/status_invalid.txt", "spec/fixtures/responses/whois.nic.uk/status_registered.expected", "spec/fixtures/responses/whois.nic.uk/status_registered.txt", "spec/fixtures/responses/whois.nic.uk/status_suspended.expected", "spec/fixtures/responses/whois.nic.uk/status_suspended.txt", "spec/fixtures/responses/whois.nic.us", "spec/fixtures/responses/whois.nic.us/status_available.expected", "spec/fixtures/responses/whois.nic.us/status_available.txt", "spec/fixtures/responses/whois.nic.us/status_registered.expected", "spec/fixtures/responses/whois.nic.us/status_registered.txt", "spec/fixtures/responses/whois.nic.ve", "spec/fixtures/responses/whois.nic.ve/property_expires_on_missing.expected", "spec/fixtures/responses/whois.nic.ve/property_expires_on_missing.txt", "spec/fixtures/responses/whois.nic.ve/property_nameservers.expected", "spec/fixtures/responses/whois.nic.ve/property_nameservers.txt", "spec/fixtures/responses/whois.nic.ve/property_nameservers_missing.expected", "spec/fixtures/responses/whois.nic.ve/property_nameservers_missing.txt", "spec/fixtures/responses/whois.nic.ve/property_status_activo.expected", "spec/fixtures/responses/whois.nic.ve/property_status_activo.txt", "spec/fixtures/responses/whois.nic.ve/property_status_missing.expected", "spec/fixtures/responses/whois.nic.ve/property_status_missing.txt", "spec/fixtures/responses/whois.nic.ve/property_status_suspendido.expected", "spec/fixtures/responses/whois.nic.ve/property_status_suspendido.txt", "spec/fixtures/responses/whois.nic.ve/property_updated_on.expected", "spec/fixtures/responses/whois.nic.ve/property_updated_on.txt", "spec/fixtures/responses/whois.nic.ve/property_updated_on_blank.expected", "spec/fixtures/responses/whois.nic.ve/property_updated_on_blank.txt", "spec/fixtures/responses/whois.nic.ve/status_available.expected", "spec/fixtures/responses/whois.nic.ve/status_available.txt", "spec/fixtures/responses/whois.nic.ve/status_inactive.expected", "spec/fixtures/responses/whois.nic.ve/status_inactive.txt", "spec/fixtures/responses/whois.nic.ve/status_registered.expected", "spec/fixtures/responses/whois.nic.ve/status_registered.txt", "spec/fixtures/responses/whois.nic.xxx", "spec/fixtures/responses/whois.nic.xxx/property_updated_on_blank.expected", "spec/fixtures/responses/whois.nic.xxx/property_updated_on_blank.txt", "spec/fixtures/responses/whois.nic.xxx/status_available.expected", "spec/fixtures/responses/whois.nic.xxx/status_available.txt", "spec/fixtures/responses/whois.nic.xxx/status_registered.expected", "spec/fixtures/responses/whois.nic.xxx/status_registered.txt", "spec/fixtures/responses/whois.nic.xxx/status_reserved.expected", "spec/fixtures/responses/whois.nic.xxx/status_reserved.txt", "spec/fixtures/responses/whois.norid.no", "spec/fixtures/responses/whois.norid.no/status_available.expected", "spec/fixtures/responses/whois.norid.no/status_available.txt", "spec/fixtures/responses/whois.norid.no/status_registered.expected", "spec/fixtures/responses/whois.norid.no/status_registered.txt", "spec/fixtures/responses/whois.org.za", "spec/fixtures/responses/whois.org.za/status_available.expected", "spec/fixtures/responses/whois.org.za/status_available.txt", "spec/fixtures/responses/whois.org.za/status_registered.expected", "spec/fixtures/responses/whois.org.za/status_registered.txt", "spec/fixtures/responses/whois.pandi.or.id", "spec/fixtures/responses/whois.pandi.or.id/status_available.expected", "spec/fixtures/responses/whois.pandi.or.id/status_available.txt", "spec/fixtures/responses/whois.pandi.or.id/status_registered.expected", "spec/fixtures/responses/whois.pandi.or.id/status_registered.txt", "spec/fixtures/responses/whois.pnina.ps", "spec/fixtures/responses/whois.pnina.ps/property_nameservers_with_nodns.expected", "spec/fixtures/responses/whois.pnina.ps/property_nameservers_with_nodns.txt", "spec/fixtures/responses/whois.pnina.ps/property_status_active_pending_transfer.expected", "spec/fixtures/responses/whois.pnina.ps/property_status_active_pending_transfer.txt", "spec/fixtures/responses/whois.pnina.ps/status_available.expected", "spec/fixtures/responses/whois.pnina.ps/status_available.txt", "spec/fixtures/responses/whois.pnina.ps/status_registered.expected", "spec/fixtures/responses/whois.pnina.ps/status_registered.txt", "spec/fixtures/responses/whois.publicinterestregistry.net", "spec/fixtures/responses/whois.publicinterestregistry.net/response_throttled.expected", "spec/fixtures/responses/whois.publicinterestregistry.net/response_throttled.txt", "spec/fixtures/responses/whois.publicinterestregistry.net/status_available.expected", "spec/fixtures/responses/whois.publicinterestregistry.net/status_available.txt", "spec/fixtures/responses/whois.publicinterestregistry.net/status_registered.expected", "spec/fixtures/responses/whois.publicinterestregistry.net/status_registered.txt", "spec/fixtures/responses/whois.register.bg", "spec/fixtures/responses/whois.register.bg/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.register.bg/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.register.bg/status_available.expected", "spec/fixtures/responses/whois.register.bg/status_available.txt", "spec/fixtures/responses/whois.register.bg/status_registered.expected", "spec/fixtures/responses/whois.register.bg/status_registered.txt", "spec/fixtures/responses/whois.registro.br", "spec/fixtures/responses/whois.registro.br/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.registro.br/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.registro.br/status_available.expected", "spec/fixtures/responses/whois.registro.br/status_available.txt", "spec/fixtures/responses/whois.registro.br/status_available_limited.expected", "spec/fixtures/responses/whois.registro.br/status_available_limited.txt", "spec/fixtures/responses/whois.registro.br/status_registered.expected", "spec/fixtures/responses/whois.registro.br/status_registered.txt", "spec/fixtures/responses/whois.registro.br/status_registered_limited.expected", "spec/fixtures/responses/whois.registro.br/status_registered_limited.txt", "spec/fixtures/responses/whois.registry.gy", "spec/fixtures/responses/whois.registry.gy/property_status_active.expected", "spec/fixtures/responses/whois.registry.gy/property_status_active.txt", "spec/fixtures/responses/whois.registry.gy/property_status_delegated.expected", "spec/fixtures/responses/whois.registry.gy/property_status_delegated.txt", "spec/fixtures/responses/whois.registry.gy/property_status_not_registered.expected", "spec/fixtures/responses/whois.registry.gy/property_status_not_registered.txt", "spec/fixtures/responses/whois.registry.gy/status_available.expected", "spec/fixtures/responses/whois.registry.gy/status_available.txt", "spec/fixtures/responses/whois.registry.gy/status_registered.expected", "spec/fixtures/responses/whois.registry.gy/status_registered.txt", "spec/fixtures/responses/whois.registry.hm", "spec/fixtures/responses/whois.registry.hm/status_available.expected", "spec/fixtures/responses/whois.registry.hm/status_available.txt", "spec/fixtures/responses/whois.registry.hm/status_registered.expected", "spec/fixtures/responses/whois.registry.hm/status_registered.txt", "spec/fixtures/responses/whois.registry.in", "spec/fixtures/responses/whois.registry.in/property_status_missing.expected", "spec/fixtures/responses/whois.registry.in/property_status_missing.txt", "spec/fixtures/responses/whois.registry.in/property_status_multiple.expected", "spec/fixtures/responses/whois.registry.in/property_status_multiple.txt", "spec/fixtures/responses/whois.registry.in/property_status_ok.expected", "spec/fixtures/responses/whois.registry.in/property_status_ok.txt", "spec/fixtures/responses/whois.registry.in/status_available.expected", "spec/fixtures/responses/whois.registry.in/status_available.txt", "spec/fixtures/responses/whois.registry.in/status_registered.expected", "spec/fixtures/responses/whois.registry.in/status_registered.txt", "spec/fixtures/responses/whois.registry.qa", "spec/fixtures/responses/whois.registry.qa/qa", "spec/fixtures/responses/whois.registry.qa/qa/status_available.expected", "spec/fixtures/responses/whois.registry.qa/qa/status_available.txt", "spec/fixtures/responses/whois.registry.qa/qa/status_registered.expected", "spec/fixtures/responses/whois.registry.qa/qa/status_registered.txt", "spec/fixtures/responses/whois.registrypro.pro", "spec/fixtures/responses/whois.registrypro.pro/status_available.expected", "spec/fixtures/responses/whois.registrypro.pro/status_available.txt", "spec/fixtures/responses/whois.registrypro.pro/status_registered.expected", "spec/fixtures/responses/whois.registrypro.pro/status_registered.txt", "spec/fixtures/responses/whois.ripe.net", "spec/fixtures/responses/whois.ripe.net/fo", "spec/fixtures/responses/whois.ripe.net/fo/status_available.expected", "spec/fixtures/responses/whois.ripe.net/fo/status_available.txt", "spec/fixtures/responses/whois.ripe.net/fo/status_registered.expected", "spec/fixtures/responses/whois.ripe.net/fo/status_registered.txt", "spec/fixtures/responses/whois.ripe.net/gm", "spec/fixtures/responses/whois.ripe.net/gm/status_available.expected", "spec/fixtures/responses/whois.ripe.net/gm/status_available.txt", "spec/fixtures/responses/whois.ripe.net/gm/status_registered.expected", "spec/fixtures/responses/whois.ripe.net/gm/status_registered.txt", "spec/fixtures/responses/whois.ripe.net/mc", "spec/fixtures/responses/whois.ripe.net/mc/status_available.expected", "spec/fixtures/responses/whois.ripe.net/mc/status_available.txt", "spec/fixtures/responses/whois.ripe.net/mc/status_registered.expected", "spec/fixtures/responses/whois.ripe.net/mc/status_registered.txt", "spec/fixtures/responses/whois.ripe.net/va", "spec/fixtures/responses/whois.ripe.net/va/status_available.expected", "spec/fixtures/responses/whois.ripe.net/va/status_available.txt", "spec/fixtures/responses/whois.ripe.net/va/status_registered.expected", "spec/fixtures/responses/whois.ripe.net/va/status_registered.txt", "spec/fixtures/responses/whois.ripn.net", "spec/fixtures/responses/whois.rotld.ro", "spec/fixtures/responses/whois.rotld.ro/status_available.expected", "spec/fixtures/responses/whois.rotld.ro/status_available.txt", "spec/fixtures/responses/whois.rotld.ro/status_registered.expected", "spec/fixtures/responses/whois.rotld.ro/status_registered.txt", "spec/fixtures/responses/whois.samoanic.ws", "spec/fixtures/responses/whois.samoanic.ws/status_available.expected", "spec/fixtures/responses/whois.samoanic.ws/status_available.txt", "spec/fixtures/responses/whois.samoanic.ws/status_registered.expected", "spec/fixtures/responses/whois.samoanic.ws/status_registered.txt", "spec/fixtures/responses/whois.sgnic.sg", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1.expected", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1.txt", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip.expected", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip.txt", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_2.expected", "spec/fixtures/responses/whois.sgnic.sg/property_nameservers_schema_2.txt", "spec/fixtures/responses/whois.sgnic.sg/status_available.expected", "spec/fixtures/responses/whois.sgnic.sg/status_available.txt", "spec/fixtures/responses/whois.sgnic.sg/status_registered.expected", "spec/fixtures/responses/whois.sgnic.sg/status_registered.txt", "spec/fixtures/responses/whois.sk-nic.sk", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_dakt.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_dakt.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_exp.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_exp.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_held.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_held.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_lnot.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_lnot.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ok.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ok.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ta.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_ta.txt", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_warn.expected", "spec/fixtures/responses/whois.sk-nic.sk/property_status_dom_warn.txt", "spec/fixtures/responses/whois.sk-nic.sk/status_available.expected", "spec/fixtures/responses/whois.sk-nic.sk/status_available.txt", "spec/fixtures/responses/whois.sk-nic.sk/status_registered.expected", "spec/fixtures/responses/whois.sk-nic.sk/status_registered.txt", "spec/fixtures/responses/whois.srs.net.nz", "spec/fixtures/responses/whois.srs.net.nz/property_status_pendingrelease.expected", "spec/fixtures/responses/whois.srs.net.nz/property_status_pendingrelease.txt", "spec/fixtures/responses/whois.srs.net.nz/status_available.expected", "spec/fixtures/responses/whois.srs.net.nz/status_available.txt", "spec/fixtures/responses/whois.srs.net.nz/status_invalid.expected", "spec/fixtures/responses/whois.srs.net.nz/status_invalid.txt", "spec/fixtures/responses/whois.srs.net.nz/status_registered.expected", "spec/fixtures/responses/whois.srs.net.nz/status_registered.txt", "spec/fixtures/responses/whois.tcinet.ru", "spec/fixtures/responses/whois.tcinet.ru/ru", "spec/fixtures/responses/whois.tcinet.ru/ru/property_nameservers_with_ip.expected", "spec/fixtures/responses/whois.tcinet.ru/ru/property_nameservers_with_ip.txt", "spec/fixtures/responses/whois.tcinet.ru/ru/status_available.expected", "spec/fixtures/responses/whois.tcinet.ru/ru/status_available.txt", "spec/fixtures/responses/whois.tcinet.ru/ru/status_registered.expected", "spec/fixtures/responses/whois.tcinet.ru/ru/status_registered.txt", "spec/fixtures/responses/whois.tcinet.ru/su", "spec/fixtures/responses/whois.tcinet.ru/su/status_available.expected", "spec/fixtures/responses/whois.tcinet.ru/su/status_available.txt", "spec/fixtures/responses/whois.tcinet.ru/su/status_registered.expected", "spec/fixtures/responses/whois.tcinet.ru/su/status_registered.txt", "spec/fixtures/responses/whois.tcinet.ru/xn--p1ai", "spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_available.expected", "spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_available.txt", "spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_registered.expected", "spec/fixtures/responses/whois.tcinet.ru/xn--p1ai/status_registered.txt", "spec/fixtures/responses/whois.thnic.co.th", "spec/fixtures/responses/whois.thnic.co.th/status_available.expected", "spec/fixtures/responses/whois.thnic.co.th/status_available.txt", "spec/fixtures/responses/whois.thnic.co.th/status_registered.expected", "spec/fixtures/responses/whois.thnic.co.th/status_registered.txt", "spec/fixtures/responses/whois.tld.ee", "spec/fixtures/responses/whois.tld.ee/property_contact_admin.txt", "spec/fixtures/responses/whois.tld.ee/property_contact_registrant.txt", "spec/fixtures/responses/whois.tld.ee/property_registrar.txt", "spec/fixtures/responses/whois.tld.ee/property_status_expired.txt", "spec/fixtures/responses/whois.tld.ee/property_status_missing.txt", "spec/fixtures/responses/whois.tld.ee/property_status_paid.txt", "spec/fixtures/responses/whois.tld.ee/status_available.expected", "spec/fixtures/responses/whois.tld.ee/status_available.txt", "spec/fixtures/responses/whois.tld.ee/status_expired.expected", "spec/fixtures/responses/whois.tld.ee/status_expired.txt", "spec/fixtures/responses/whois.tld.ee/status_registered.expected", "spec/fixtures/responses/whois.tld.ee/status_registered.txt", "spec/fixtures/responses/whois.tonic.to", "spec/fixtures/responses/whois.tonic.to/response_incomplete.expected", "spec/fixtures/responses/whois.tonic.to/response_incomplete.txt", "spec/fixtures/responses/whois.tonic.to/status_available.expected", "spec/fixtures/responses/whois.tonic.to/status_available.txt", "spec/fixtures/responses/whois.tonic.to/status_registered.expected", "spec/fixtures/responses/whois.tonic.to/status_registered.txt", "spec/fixtures/responses/whois.twnic.net.tw", "spec/fixtures/responses/whois.twnic.net.tw/status_available.expected", "spec/fixtures/responses/whois.twnic.net.tw/status_available.txt", "spec/fixtures/responses/whois.twnic.net.tw/status_registered.expected", "spec/fixtures/responses/whois.twnic.net.tw/status_registered.txt", "spec/fixtures/responses/whois.tznic.or.tz", "spec/fixtures/responses/whois.tznic.or.tz/status_available.expected", "spec/fixtures/responses/whois.tznic.or.tz/status_available.txt", "spec/fixtures/responses/whois.tznic.or.tz/status_registered.expected", "spec/fixtures/responses/whois.tznic.or.tz/status_registered.txt", "spec/fixtures/responses/whois.usp.ac.fj", "spec/fixtures/responses/whois.usp.ac.fj/status_available.expected", "spec/fixtures/responses/whois.usp.ac.fj/status_available.txt", "spec/fixtures/responses/whois.usp.ac.fj/status_registered.expected", "spec/fixtures/responses/whois.usp.ac.fj/status_registered.txt", "spec/fixtures/responses/whois.za.net", "spec/fixtures/responses/whois.za.net/status_available.expected", "spec/fixtures/responses/whois.za.net/status_available.txt", "spec/fixtures/responses/whois.za.net/status_registered.expected", "spec/fixtures/responses/whois.za.net/status_registered.txt", "spec/fixtures/responses/whois.za.org", "spec/fixtures/responses/whois.za.org/status_available.expected", "spec/fixtures/responses/whois.za.org/status_available.txt", "spec/fixtures/responses/whois.za.org/status_registered.expected", "spec/fixtures/responses/whois.za.org/status_registered.txt", "spec/integration_spec.rb", "spec/spec_helper.rb", "spec/support", "spec/support/example", "spec/support/example/parser_example_group.rb", "spec/support/helpers", "spec/support/helpers/connectivity_helper.rb", "spec/support/helpers/spec_helper.rb", "spec/support/matchers", "spec/support/matchers/support_property.rb", "spec/tlds", "spec/whois", "spec/whois/client_spec.rb", "spec/whois/core_ext_spec.rb", "spec/whois/errors_spec.rb", "spec/whois/record", "spec/whois/record/contact_spec.rb", "spec/whois/record/nameserver_spec.rb", "spec/whois/record/parser", "spec/whois/record/parser/base_spec.rb", "spec/whois/record/parser/blank_spec.rb", "spec/whois/record/parser/responses", "spec/whois/record/parser/responses/jobswhois.verisign-grs.com", "spec/whois/record/parser/responses/jobswhois.verisign-grs.com/property_nameserver_no_nameserver_spec.rb", "spec/whois/record/parser/responses/jobswhois.verisign-grs.com/status_available_spec.rb", "spec/whois/record/parser/responses/jobswhois.verisign-grs.com/status_registered_spec.rb", "spec/whois/record/parser/responses/kero.yachay.pe", "spec/whois/record/parser/responses/kero.yachay.pe/status_available_spec.rb", "spec/whois/record/parser/responses/kero.yachay.pe/status_inactive_spec.rb", "spec/whois/record/parser/responses/kero.yachay.pe/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc", "spec/whois/record/parser/responses/whois.adamsnames.tc/gd", "spec/whois/record/parser/responses/whois.adamsnames.tc/gd/status_available_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc/gd/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc/tc", "spec/whois/record/parser/responses/whois.adamsnames.tc/tc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc/tc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc/vg", "spec/whois/record/parser/responses/whois.adamsnames.tc/vg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.adamsnames.tc/vg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.aeda.net.ae", "spec/whois/record/parser/responses/whois.aeda.net.ae/status_available_spec.rb", "spec/whois/record/parser/responses/whois.aeda.net.ae/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.aero", "spec/whois/record/parser/responses/whois.aero/status_available_spec.rb", "spec/whois/record/parser/responses/whois.aero/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info", "spec/whois/record/parser/responses/whois.afilias-grs.info/bz", "spec/whois/record/parser/responses/whois.afilias-grs.info/bz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/bz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/gi", "spec/whois/record/parser/responses/whois.afilias-grs.info/gi/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/gi/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/hn", "spec/whois/record/parser/responses/whois.afilias-grs.info/hn/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/hn/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/lc", "spec/whois/record/parser/responses/whois.afilias-grs.info/lc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/lc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/mn", "spec/whois/record/parser/responses/whois.afilias-grs.info/mn/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/mn/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/sc", "spec/whois/record/parser/responses/whois.afilias-grs.info/sc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/sc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/vc", "spec/whois/record/parser/responses/whois.afilias-grs.info/vc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias-grs.info/vc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.afilias.info", "spec/whois/record/parser/responses/whois.afilias.info/status_available_spec.rb", "spec/whois/record/parser/responses/whois.afilias.info/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ai", "spec/whois/record/parser/responses/whois.ai/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ai/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.arnes.si", "spec/whois/record/parser/responses/whois.arnes.si/status_available_spec.rb", "spec/whois/record/parser/responses/whois.arnes.si/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.audns.net.au", "spec/whois/record/parser/responses/whois.audns.net.au/property_status_with_multiple_spec.rb", "spec/whois/record/parser/responses/whois.audns.net.au/status_available_spec.rb", "spec/whois/record/parser/responses/whois.audns.net.au/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.biz", "spec/whois/record/parser/responses/whois.biz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.biz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cat", "spec/whois/record/parser/responses/whois.cat/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.cat/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.cat/property_status_ok_spec.rb", "spec/whois/record/parser/responses/whois.cat/status_available_spec.rb", "spec/whois/record/parser/responses/whois.cat/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cctld.uz", "spec/whois/record/parser/responses/whois.cctld.uz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.cctld.uz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com", "spec/whois/record/parser/responses/whois.centralnic.com/ae.org", "spec/whois/record/parser/responses/whois.centralnic.com/ae.org/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/ae.org/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/ar.com", "spec/whois/record/parser/responses/whois.centralnic.com/ar.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/ar.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/br.com", "spec/whois/record/parser/responses/whois.centralnic.com/br.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/br.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/cn.com", "spec/whois/record/parser/responses/whois.centralnic.com/cn.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/cn.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/de.com", "spec/whois/record/parser/responses/whois.centralnic.com/de.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/de.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/eu.com", "spec/whois/record/parser/responses/whois.centralnic.com/eu.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/eu.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/gb.com", "spec/whois/record/parser/responses/whois.centralnic.com/gb.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/gb.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/gb.net", "spec/whois/record/parser/responses/whois.centralnic.com/gb.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/gb.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/hu.com", "spec/whois/record/parser/responses/whois.centralnic.com/hu.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/hu.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/jpn.com", "spec/whois/record/parser/responses/whois.centralnic.com/jpn.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/jpn.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/kr.com", "spec/whois/record/parser/responses/whois.centralnic.com/kr.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/kr.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/no.com", "spec/whois/record/parser/responses/whois.centralnic.com/no.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/no.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/qc.com", "spec/whois/record/parser/responses/whois.centralnic.com/qc.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/qc.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/ru.com", "spec/whois/record/parser/responses/whois.centralnic.com/ru.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/ru.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/sa.com", "spec/whois/record/parser/responses/whois.centralnic.com/sa.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/sa.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/se.com", "spec/whois/record/parser/responses/whois.centralnic.com/se.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/se.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/se.net", "spec/whois/record/parser/responses/whois.centralnic.com/se.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/se.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uk.com", "spec/whois/record/parser/responses/whois.centralnic.com/uk.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uk.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uk.net", "spec/whois/record/parser/responses/whois.centralnic.com/uk.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uk.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/us.com", "spec/whois/record/parser/responses/whois.centralnic.com/us.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/us.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uy.com", "spec/whois/record/parser/responses/whois.centralnic.com/uy.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/uy.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/za.com", "spec/whois/record/parser/responses/whois.centralnic.com/za.com/status_available_spec.rb", "spec/whois/record/parser/responses/whois.centralnic.com/za.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca", "spec/whois/record/parser/responses/whois.cira.ca/schema-1", "spec/whois/record/parser/responses/whois.cira.ca/schema-1/status_available_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-1/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_autorenew_grace_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_available_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_redemption_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/property_status_tobereleased_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_available_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_invalid_spec.rb", "spec/whois/record/parser/responses/whois.cira.ca/schema-2/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cnnic.cn", "spec/whois/record/parser/responses/whois.cnnic.cn/property_status_ok_spec.rb", "spec/whois/record/parser/responses/whois.cnnic.cn/status_available_spec.rb", "spec/whois/record/parser/responses/whois.cnnic.cn/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.cnnic.cn/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.co.ca", "spec/whois/record/parser/responses/whois.co.ca/status_available_spec.rb", "spec/whois/record/parser/responses/whois.co.ca/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.co.ca/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.co.pl", "spec/whois/record/parser/responses/whois.co.pl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.co.pl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.co.ug", "spec/whois/record/parser/responses/whois.co.ug/status_available_spec.rb", "spec/whois/record/parser/responses/whois.co.ug/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.coza.net.za", "spec/whois/record/parser/responses/whois.coza.net.za/status_available_spec.rb", "spec/whois/record/parser/responses/whois.coza.net.za/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.crsnic.net", "spec/whois/record/parser/responses/whois.crsnic.net/property_nameserver_no_nameserver_spec.rb", "spec/whois/record/parser/responses/whois.crsnic.net/property_registrar_with_multiple_entries_spec.rb", "spec/whois/record/parser/responses/whois.crsnic.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.crsnic.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.denic.de", "spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0", "spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0/status_available_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-1.10.0/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0", "spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_available_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_invalid_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-1.11.0/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/response_throttled_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_available_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_failed_ace_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_failed_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_invalid_spec.rb", "spec/whois/record/parser/responses/whois.denic.de/schema-2.0/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dk-hostmaster.dk", "spec/whois/record/parser/responses/whois.dk-hostmaster.dk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dk-hostmaster.dk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dns.be", "spec/whois/record/parser/responses/whois.dns.be/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.dns.be/response_throttled_spec.rb", "spec/whois/record/parser/responses/whois.dns.be/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dns.be/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dns.lu", "spec/whois/record/parser/responses/whois.dns.lu/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.dns.lu/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dns.lu/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dns.pl", "spec/whois/record/parser/responses/whois.dns.pl/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.dns.pl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dns.pl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt", "spec/whois/record/parser/responses/whois.dns.pt/property_nameservers_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/property_nameservers_without_host_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/property_status_techpro_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/status_inactive_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dns.pt/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl", "spec/whois/record/parser/responses/whois.domain-registry.nl/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/response_throttled_daily_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/response_throttled_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/response_unavailable_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/status_quarantine_spec.rb", "spec/whois/record/parser/responses/whois.domain-registry.nl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.domain.kg", "spec/whois/record/parser/responses/whois.domain.kg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.domain.kg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.domainregistry.ie", "spec/whois/record/parser/responses/whois.domainregistry.ie/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.domainregistry.ie/status_available_spec.rb", "spec/whois/record/parser/responses/whois.domainregistry.ie/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.domainregistry.my", "spec/whois/record/parser/responses/whois.domainregistry.my/status_available_spec.rb", "spec/whois/record/parser/responses/whois.domainregistry.my/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.domreg.lt", "spec/whois/record/parser/responses/whois.domreg.lt/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.domreg.lt/status_available_spec.rb", "spec/whois/record/parser/responses/whois.domreg.lt/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dot.tk", "spec/whois/record/parser/responses/whois.dot.tk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dot.tk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.dotmobiregistry.net", "spec/whois/record/parser/responses/whois.dotmobiregistry.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.dotmobiregistry.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.educause.edu", "spec/whois/record/parser/responses/whois.educause.edu/property_updated_on_unknown_spec.rb", "spec/whois/record/parser/responses/whois.educause.edu/status_available_spec.rb", "spec/whois/record/parser/responses/whois.educause.edu/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.eenet.ee", "spec/whois/record/parser/responses/whois.eenet.ee/status_available_spec.rb", "spec/whois/record/parser/responses/whois.eenet.ee/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.eu", "spec/whois/record/parser/responses/whois.eu/property_nameservers_spec.rb", "spec/whois/record/parser/responses/whois.eu/status_available_spec.rb", "spec/whois/record/parser/responses/whois.eu/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.eu.org", "spec/whois/record/parser/responses/whois.eu.org/status_available_spec.rb", "spec/whois/record/parser/responses/whois.eu.org/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ficora.fi", "spec/whois/record/parser/responses/whois.ficora.fi/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ficora.fi/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.gg", "spec/whois/record/parser/responses/whois.gg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.gg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.godaddy.com", "spec/whois/record/parser/responses/whois.godaddy.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.gov.za", "spec/whois/record/parser/responses/whois.gov.za/status_available_spec.rb", "spec/whois/record/parser/responses/whois.gov.za/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.hkirc.hk", "spec/whois/record/parser/responses/whois.hkirc.hk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.hkirc.hk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.iam.net.ma", "spec/whois/record/parser/responses/whois.iam.net.ma/status_available_spec.rb", "spec/whois/record/parser/responses/whois.iam.net.ma/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.iana.org", "spec/whois/record/parser/responses/whois.iana.org/status_available_spec.rb", "spec/whois/record/parser/responses/whois.iana.org/status_not_assigned_spec.rb", "spec/whois/record/parser/responses/whois.iana.org/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.in.ua", "spec/whois/record/parser/responses/whois.in.ua/status_available_spec.rb", "spec/whois/record/parser/responses/whois.in.ua/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.isnic.is", "spec/whois/record/parser/responses/whois.isnic.is/status_available_spec.rb", "spec/whois/record/parser/responses/whois.isnic.is/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.isoc.org.il", "spec/whois/record/parser/responses/whois.isoc.org.il/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.isoc.org.il/property_status_transfer_allowed_spec.rb", "spec/whois/record/parser/responses/whois.isoc.org.il/property_status_transfer_locked_spec.rb", "spec/whois/record/parser/responses/whois.isoc.org.il/status_available_spec.rb", "spec/whois/record/parser/responses/whois.isoc.org.il/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ja.net", "spec/whois/record/parser/responses/whois.ja.net/ac.uk", "spec/whois/record/parser/responses/whois.ja.net/ac.uk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ja.net/ac.uk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ja.net/gov.uk", "spec/whois/record/parser/responses/whois.ja.net/gov.uk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ja.net/gov.uk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.je", "spec/whois/record/parser/responses/whois.je/status_available_spec.rb", "spec/whois/record/parser/responses/whois.je/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp", "spec/whois/record/parser/responses/whois.jprs.jp/jp", "spec/whois/record/parser/responses/whois.jprs.jp/jp/property_created_on_and_expires_on_missing_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/jp/property_expires_on_missing_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/jp/property_updates_on_error_out-of-range_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/jp/status_available_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/jp/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/jp/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/ne.jp", "spec/whois/record/parser/responses/whois.jprs.jp/ne.jp/status_available_spec.rb", "spec/whois/record/parser/responses/whois.jprs.jp/ne.jp/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.kenic.or.ke", "spec/whois/record/parser/responses/whois.kenic.or.ke/status_available_spec.rb", "spec/whois/record/parser/responses/whois.kenic.or.ke/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.kr", "spec/whois/record/parser/responses/whois.kr/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.kr/status_available_spec.rb", "spec/whois/record/parser/responses/whois.kr/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.markmonitor.com", "spec/whois/record/parser/responses/whois.markmonitor.com/property_contacts_are_blank_spec.rb", "spec/whois/record/parser/responses/whois.markmonitor.com/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.meregistry.net", "spec/whois/record/parser/responses/whois.meregistry.net/property_nameservers_is_blank_spec.rb", "spec/whois/record/parser/responses/whois.meregistry.net/property_updated_on_is_blank_spec.rb", "spec/whois/record/parser/responses/whois.meregistry.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.meregistry.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.museum", "spec/whois/record/parser/responses/whois.museum/status_available_spec.rb", "spec/whois/record/parser/responses/whois.museum/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.na-nic.com.na", "spec/whois/record/parser/responses/whois.na-nic.com.na/property_status_suspended_spec.rb", "spec/whois/record/parser/responses/whois.na-nic.com.na/status_available_spec.rb", "spec/whois/record/parser/responses/whois.na-nic.com.na/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.net.ua", "spec/whois/record/parser/responses/whois.net.ua/property_nameservers_uppercase_spec.rb", "spec/whois/record/parser/responses/whois.net.ua/status_available_spec.rb", "spec/whois/record/parser/responses/whois.net.ua/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.netcom.cm", "spec/whois/record/parser/responses/whois.netcom.cm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.netcom.cm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic-se.se", "spec/whois/record/parser/responses/whois.nic-se.se/property_datetime_is_dash_spec.rb", "spec/whois/record/parser/responses/whois.nic-se.se/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic-se.se/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic-se.se/status_inactive_spec.rb", "spec/whois/record/parser/responses/whois.nic-se.se/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ac", "spec/whois/record/parser/responses/whois.nic.ac/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ac/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.af", "spec/whois/record/parser/responses/whois.nic.af/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.af/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.af/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.af/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.af/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ag", "spec/whois/record/parser/responses/whois.nic.ag/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ag/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.am", "spec/whois/record/parser/responses/whois.nic.am/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.am/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.as", "spec/whois/record/parser/responses/whois.nic.as/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.as/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.asia", "spec/whois/record/parser/responses/whois.nic.asia/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.nic.asia/property_status_single_spec.rb", "spec/whois/record/parser/responses/whois.nic.asia/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.asia/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.at", "spec/whois/record/parser/responses/whois.nic.at/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.at/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.bo", "spec/whois/record/parser/responses/whois.nic.bo/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.bo/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cc", "spec/whois/record/parser/responses/whois.nic.cc/property_nameserver_no_nameserver_spec.rb", "spec/whois/record/parser/responses/whois.nic.cc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.cc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cd", "spec/whois/record/parser/responses/whois.nic.cd/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.cd/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ch", "spec/whois/record/parser/responses/whois.nic.ch/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic.ch/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ch/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ci", "spec/whois/record/parser/responses/whois.nic.ci/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ci/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ck", "spec/whois/record/parser/responses/whois.nic.ck/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ck/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cl", "spec/whois/record/parser/responses/whois.nic.cl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.cl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.co", "spec/whois/record/parser/responses/whois.nic.co/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.co/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.coop", "spec/whois/record/parser/responses/whois.nic.coop/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.nic.coop/property_status_single_spec.rb", "spec/whois/record/parser/responses/whois.nic.coop/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.coop/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cx", "spec/whois/record/parser/responses/whois.nic.cx/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.cx/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.cx/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cx/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.cx/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz", "spec/whois/record/parser/responses/whois.nic.cz/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/property_status_expired_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/property_status_paid_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/property_status_update_prohibited_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.cz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.dz", "spec/whois/record/parser/responses/whois.nic.dz/dz", "spec/whois/record/parser/responses/whois.nic.dz/dz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.dz/dz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ec", "spec/whois/record/parser/responses/whois.nic.ec/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ec/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr", "spec/whois/record/parser/responses/whois.nic.fr/fr", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_nameservers_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_nameservers_with_ipv4_and_some_ipv6_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_blocked_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_redemption_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/property_status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/fr/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/pm", "spec/whois/record/parser/responses/whois.nic.fr/pm/property_nameservers_with_ipv4_and_ipv6_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/pm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/pm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/re", "spec/whois/record/parser/responses/whois.nic.fr/re/property_nameservers_with_ipv4_and_ipv6_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/re/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/re/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/tf", "spec/whois/record/parser/responses/whois.nic.fr/tf/property_status_frozen_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/tf/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/tf/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/wf", "spec/whois/record/parser/responses/whois.nic.fr/wf/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/wf/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/yt", "spec/whois/record/parser/responses/whois.nic.fr/yt/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.fr/yt/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.gl", "spec/whois/record/parser/responses/whois.nic.gl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.gl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.gov", "spec/whois/record/parser/responses/whois.nic.gov/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.gov/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.gs", "spec/whois/record/parser/responses/whois.nic.gs/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.gs/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.gs/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.gs/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.gs/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ht", "spec/whois/record/parser/responses/whois.nic.ht/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.ht/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.ht/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ht/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ht/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_company_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_private_person_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/property_contact_without_address_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_in_progress_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-1.99/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-current", "spec/whois/record/parser/responses/whois.nic.hu/schema-current/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.hu/schema-current/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.im", "spec/whois/record/parser/responses/whois.nic.im/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.im/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.io", "spec/whois/record/parser/responses/whois.nic.io/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.io/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ir", "spec/whois/record/parser/responses/whois.nic.ir/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ir/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.it", "spec/whois/record/parser/responses/whois.nic.it/property_contact_province_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_contact_with_company_in_address_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_contact_with_organization_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_client_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_graceperiod_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_inactive_noregistrar_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_no_provider_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_ok_autorenew_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_ok_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_pendingdelete_pendingdelete_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_pendingdelete_redemptionperiod_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_pendingtransfer_autorenewperiod_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_pendingtransfer_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_pendingupdate_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_redemption_no_provider_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_status_unassignable_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/property_technical_contact_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/response_unavailable_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.it/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.nic.ki", "spec/whois/record/parser/responses/whois.nic.ki/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.ki/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.ki/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ki/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ki/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.kz", "spec/whois/record/parser/responses/whois.nic.kz/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.kz/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.nic.kz/property_status_ok_spec.rb", "spec/whois/record/parser/responses/whois.nic.kz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.kz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.la", "spec/whois/record/parser/responses/whois.nic.la/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.nic.la/property_status_single_spec.rb", "spec/whois/record/parser/responses/whois.nic.la/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.la/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.li", "spec/whois/record/parser/responses/whois.nic.li/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.li/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.lv", "spec/whois/record/parser/responses/whois.nic.lv/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.lv/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ly", "spec/whois/record/parser/responses/whois.nic.ly/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ly/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.md", "spec/whois/record/parser/responses/whois.nic.md/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.md/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.mg", "spec/whois/record/parser/responses/whois.nic.mg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.mg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ms", "spec/whois/record/parser/responses/whois.nic.ms/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.ms/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.ms/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ms/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ms/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.mu", "spec/whois/record/parser/responses/whois.nic.mu/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.mu/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.mu/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.mu/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.mu/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.mx", "spec/whois/record/parser/responses/whois.nic.mx/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic.mx/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.mx/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.name", "spec/whois/record/parser/responses/whois.nic.name/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.name/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf", "spec/whois/record/parser/responses/whois.nic.net.nf/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf/property_status_excluded_pendingdelete_restorable_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.nf/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.ng", "spec/whois/record/parser/responses/whois.nic.net.ng/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.ng/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.ng/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.ng/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.ng/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sa", "spec/whois/record/parser/responses/whois.nic.net.sa/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sa/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sb", "spec/whois/record/parser/responses/whois.nic.net.sb/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sb/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sb/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sb/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.net.sb/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.nu", "spec/whois/record/parser/responses/whois.nic.nu/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.nu/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.org.uy", "spec/whois/record/parser/responses/whois.nic.org.uy/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.org.uy/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.pr", "spec/whois/record/parser/responses/whois.nic.pr/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.pr/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.priv.at", "spec/whois/record/parser/responses/whois.nic.priv.at/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.priv.at/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.sh", "spec/whois/record/parser/responses/whois.nic.sh/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.sh/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.sl", "spec/whois/record/parser/responses/whois.nic.sl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.sl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.sm", "spec/whois/record/parser/responses/whois.nic.sm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.sm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.sn", "spec/whois/record/parser/responses/whois.nic.sn/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.sn/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.so", "spec/whois/record/parser/responses/whois.nic.so/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.so/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.st", "spec/whois/record/parser/responses/whois.nic.st/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.st/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tel", "spec/whois/record/parser/responses/whois.nic.tel/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.tel/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tl", "spec/whois/record/parser/responses/whois.nic.tl/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.nic.tl/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.nic.tl/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tl/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.tl/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tm", "spec/whois/record/parser/responses/whois.nic.tm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.tm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tr", "spec/whois/record/parser/responses/whois.nic.tr/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic.tr/property_nameservers_with_trailing_space_spec.rb", "spec/whois/record/parser/responses/whois.nic.tr/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.tr/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.travel", "spec/whois/record/parser/responses/whois.nic.travel/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.nic.travel/property_status_single_spec.rb", "spec/whois/record/parser/responses/whois.nic.travel/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.travel/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.tv", "spec/whois/record/parser/responses/whois.nic.tv/property_nameserver_no_nameserver_spec.rb", "spec/whois/record/parser/responses/whois.nic.tv/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.tv/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk", "spec/whois/record/parser/responses/whois.nic.uk/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_registrar_without_trading_name_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_status_processing_registration_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_status_processing_renewal_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/property_status_suspended_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/response_throttled_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/status_invalid_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.uk/status_suspended_spec.rb", "spec/whois/record/parser/responses/whois.nic.us", "spec/whois/record/parser/responses/whois.nic.us/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.us/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve", "spec/whois/record/parser/responses/whois.nic.ve/property_expires_on_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_nameservers_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_nameservers_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_status_activo_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_status_suspendido_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_updated_on_blank_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/property_updated_on_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/status_inactive_spec.rb", "spec/whois/record/parser/responses/whois.nic.ve/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.xxx", "spec/whois/record/parser/responses/whois.nic.xxx/property_updated_on_blank_spec.rb", "spec/whois/record/parser/responses/whois.nic.xxx/status_available_spec.rb", "spec/whois/record/parser/responses/whois.nic.xxx/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.nic.xxx/status_reserved_spec.rb", "spec/whois/record/parser/responses/whois.norid.no", "spec/whois/record/parser/responses/whois.norid.no/status_available_spec.rb", "spec/whois/record/parser/responses/whois.norid.no/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.org.za", "spec/whois/record/parser/responses/whois.org.za/status_available_spec.rb", "spec/whois/record/parser/responses/whois.org.za/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.pandi.or.id", "spec/whois/record/parser/responses/whois.pandi.or.id/status_available_spec.rb", "spec/whois/record/parser/responses/whois.pandi.or.id/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.pnina.ps", "spec/whois/record/parser/responses/whois.pnina.ps/property_nameservers_with_nodns_spec.rb", "spec/whois/record/parser/responses/whois.pnina.ps/property_status_active_pending_transfer_spec.rb", "spec/whois/record/parser/responses/whois.pnina.ps/status_available_spec.rb", "spec/whois/record/parser/responses/whois.pnina.ps/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.publicinterestregistry.net", "spec/whois/record/parser/responses/whois.publicinterestregistry.net/response_throttled_spec.rb", "spec/whois/record/parser/responses/whois.publicinterestregistry.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.publicinterestregistry.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.register.bg", "spec/whois/record/parser/responses/whois.register.bg/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.register.bg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.register.bg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registro.br", "spec/whois/record/parser/responses/whois.registro.br/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.registro.br/status_available_limited_spec.rb", "spec/whois/record/parser/responses/whois.registro.br/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registro.br/status_registered_limited_spec.rb", "spec/whois/record/parser/responses/whois.registro.br/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registry.gy", "spec/whois/record/parser/responses/whois.registry.gy/property_status_active_spec.rb", "spec/whois/record/parser/responses/whois.registry.gy/property_status_delegated_spec.rb", "spec/whois/record/parser/responses/whois.registry.gy/property_status_not_registered_spec.rb", "spec/whois/record/parser/responses/whois.registry.gy/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registry.gy/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registry.hm", "spec/whois/record/parser/responses/whois.registry.hm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registry.hm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registry.in", "spec/whois/record/parser/responses/whois.registry.in/property_status_missing_spec.rb", "spec/whois/record/parser/responses/whois.registry.in/property_status_multiple_spec.rb", "spec/whois/record/parser/responses/whois.registry.in/property_status_ok_spec.rb", "spec/whois/record/parser/responses/whois.registry.in/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registry.in/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registry.qa", "spec/whois/record/parser/responses/whois.registry.qa/qa", "spec/whois/record/parser/responses/whois.registry.qa/qa/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registry.qa/qa/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.registrypro.pro", "spec/whois/record/parser/responses/whois.registrypro.pro/status_available_spec.rb", "spec/whois/record/parser/responses/whois.registrypro.pro/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net", "spec/whois/record/parser/responses/whois.ripe.net/fo", "spec/whois/record/parser/responses/whois.ripe.net/fo/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/fo/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/gm", "spec/whois/record/parser/responses/whois.ripe.net/gm/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/gm/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/mc", "spec/whois/record/parser/responses/whois.ripe.net/mc/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/mc/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/va", "spec/whois/record/parser/responses/whois.ripe.net/va/status_available_spec.rb", "spec/whois/record/parser/responses/whois.ripe.net/va/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.rotld.ro", "spec/whois/record/parser/responses/whois.rotld.ro/status_available_spec.rb", "spec/whois/record/parser/responses/whois.rotld.ro/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.samoanic.ws", "spec/whois/record/parser/responses/whois.samoanic.ws/status_available_spec.rb", "spec/whois/record/parser/responses/whois.samoanic.ws/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.sgnic.sg", "spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_1_spec.rb", "spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_1_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.sgnic.sg/property_nameservers_schema_2_spec.rb", "spec/whois/record/parser/responses/whois.sgnic.sg/status_available_spec.rb", "spec/whois/record/parser/responses/whois.sgnic.sg/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_dakt_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_exp_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_held_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_lnot_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_ok_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_ta_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/property_status_dom_warn_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/status_available_spec.rb", "spec/whois/record/parser/responses/whois.sk-nic.sk/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.srs.net.nz", "spec/whois/record/parser/responses/whois.srs.net.nz/property_status_pendingrelease_spec.rb", "spec/whois/record/parser/responses/whois.srs.net.nz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.srs.net.nz/status_invalid_spec.rb", "spec/whois/record/parser/responses/whois.srs.net.nz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru", "spec/whois/record/parser/responses/whois.tcinet.ru/ru", "spec/whois/record/parser/responses/whois.tcinet.ru/ru/property_nameservers_with_ip_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/ru/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/ru/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/su", "spec/whois/record/parser/responses/whois.tcinet.ru/su/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/su/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai", "spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tcinet.ru/xn--p1ai/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.thnic.co.th", "spec/whois/record/parser/responses/whois.thnic.co.th/status_available_spec.rb", "spec/whois/record/parser/responses/whois.thnic.co.th/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tld.ee", "spec/whois/record/parser/responses/whois.tld.ee/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tld.ee/status_expired_spec.rb", "spec/whois/record/parser/responses/whois.tld.ee/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tonic.to", "spec/whois/record/parser/responses/whois.tonic.to/response_incomplete_spec.rb", "spec/whois/record/parser/responses/whois.tonic.to/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tonic.to/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.twnic.net.tw", "spec/whois/record/parser/responses/whois.twnic.net.tw/status_available_spec.rb", "spec/whois/record/parser/responses/whois.twnic.net.tw/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.tznic.or.tz", "spec/whois/record/parser/responses/whois.tznic.or.tz/status_available_spec.rb", "spec/whois/record/parser/responses/whois.tznic.or.tz/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.usp.ac.fj", "spec/whois/record/parser/responses/whois.usp.ac.fj/status_available_spec.rb", "spec/whois/record/parser/responses/whois.usp.ac.fj/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.za.net", "spec/whois/record/parser/responses/whois.za.net/status_available_spec.rb", "spec/whois/record/parser/responses/whois.za.net/status_registered_spec.rb", "spec/whois/record/parser/responses/whois.za.org", "spec/whois/record/parser/responses/whois.za.org/status_available_spec.rb", "spec/whois/record/parser/responses/whois.za.org/status_registered_spec.rb", "spec/whois/record/parser_spec.rb", "spec/whois/record/part_spec.rb", "spec/whois/record/registrar_spec.rb", "spec/whois/record/super_struct_spec.rb", "spec/whois/record_spec.rb", "spec/whois/server", "spec/whois/server/adapters", "spec/whois/server/adapters/afilias_spec.rb", "spec/whois/server/adapters/base_spec.rb", "spec/whois/server/adapters/formatted_spec.rb", "spec/whois/server/adapters/none_spec.rb", "spec/whois/server/adapters/not_implemented_spec.rb", "spec/whois/server/adapters/pir_spec.rb", "spec/whois/server/adapters/standard_spec.rb", "spec/whois/server/adapters/verisign_spec.rb", "spec/whois/server/adapters/web_spec.rb", "spec/whois/server_spec.rb", "spec/whois/whois_spec.rb"]
  s.homepage = "http://www.ruby-whois.org"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubyforge_project = "whois"
  s.rubygems_version = "1.8.11"
  s.summary = "An intelligent pure Ruby WHOIS client and parser."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["~> 0.9"])
      s.add_development_dependency(%q<rspec>, ["~> 2.7.0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
    else
      s.add_dependency(%q<rake>, ["~> 0.9"])
      s.add_dependency(%q<rspec>, ["~> 2.7.0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, ["~> 0.9"])
    s.add_dependency(%q<rspec>, ["~> 2.7.0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
  end
end
